#
# spec file for package xen
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xen
%define xvers 3.2
%define xvermaj 3
%define changeset 17040
%define xen_build_dir xen-3.2.3-testing
%define with_install 1
%if %sles_version
%define with_kmp 1
%else
%define with_kmp 0
%endif
BuildRequires:  LibVNCServer SDL-devel autoconf automake bin86 curl-devel dev86 graphviz latex2html libjpeg-devel libxml2-devel openssl openssl-devel pciutils-devel python-devel te_ams te_latex tetex transfig update-desktop-files ghostscript-fonts-std ghostscript-library
%ifarch x86_64
BuildRequires:  glibc-32bit glibc-devel-32bit
%endif
%if %{?with_kmp}0
BuildRequires:  kernel-source kernel-syms xorg-x11
%endif
Version:        3.2.3_17040_34
Release:        0.7.8
License:        GPL v2 or later
Group:          System/Kernel
AutoReqProv:    on
PreReq:         %insserv_prereq %fillup_prereq
Summary:        Xen Virtualization: Hypervisor (aka VMM aka Microkernel)
Source0:        xen-3.2.3-testing-src.tar.bz2
Source1:        vm-install-0.2.17.tar.bz2
Source2:        README.SuSE
Source3:        boot.xen
Source4:        boot.local.xenU
Source5:        init.xend
Source6:        init.xendomains
Source7:        logrotate.conf
Source8:        domUloader.py
Source9:        xmexample.domUloader
Source10:       xmexample.disks
Source11:       block-nbd
Source12:       block-iscsi
Source13:       block-npiv-common.sh
Source14:       block-npiv
Source15:       block-npiv-vport
Source16:       xmclone.sh
Source17:       block-dmmd
# Xen API remote authentication sources
Source21:       etc_pam.d_xen-api
Source22:       xenapiusers
# Upstream patches
Patch0:         16716-xend-version.patch
Patch1:         16718-batched-mmu-updates.patch
Patch2:         16740-suse-ifup.patch
Patch3:         16769-pci-high-memory-resource.patch
Patch4:         16873-net-nat.patch
Patch5:         16877-blktap.patch
Patch6:         16883-xend-crashed-state.patch
Patch7:         16884-xend-rename-restart.patch
Patch8:         16885-xend-config-comments.patch
Patch9:         16886-xenstore-leak.patch
Patch10:        16890-xenapi-version.patch
Patch11:        16947-fvmachine-xenstore.patch
Patch12:        16977-xend-restart-count.patch
Patch13:        16989-xend-coredump.patch
Patch14:        16931-hvm-hap-param.patch
Patch15:        16933-hvm-hap-fix.patch
Patch16:        16937-unique-restore-check.patch
Patch17:        16939-hvm-hap-fix.patch
Patch18:        17006-make-aio-optional.patch
Patch19:        17017-hpet-configuration.patch
Patch20:        17026-ioemu-sighup.patch
Patch22:        17124-numa-free-memory-size.patch
Patch23:        17131-numa-set-vcpu-affinity.patch
Patch24:        17190-remove-hap-boot-param.patch
Patch25:        17191-remove-hap-boot-param-doc.patch
Patch26:        17209-xentop.patch
Patch27:        17210-xenapi-defaults.patch
Patch28:        17211-xenapi-defaults.patch
Patch29:        17212-xenapi-defaults.patch
Patch30:        17220-xend-dev-destroy.patch
Patch31:        17233-hap-enabled-supported-fix.patch
Patch32:        17315-windows-bug-check-0x101-fix.patch
Patch33:        17464-ext3.patch
Patch34:        17515-xenmon.patch
Patch35:        17692-vgabios-fix.patch
Patch36:        17757-crash-info-note.patch
Patch37:        17777-empty-cdrom-fix.patch
Patch38:        17845-x86-reduce-shadow-flags.patch
Patch39:        17849-ept-save-restore.patch
Patch40:        17920-qemu-xenconsole-limit.patch
Patch41:        17967-vgabios-fix.patch
Patch42:        18064-xend-vmmetrics-delete.patch
Patch43:        18111-x86-xenheap-alloc-bitmap.patch
Patch44:        18140-fix-dual-destroy.patch
Patch45:        18142-x86emul-no-writeback.patch
Patch46:        18170-pygrub.patch
Patch47:        18172-pygrub.patch
Patch48:        18257-xm-typo.patch
Patch49:        18419-hvm-handle-okay.patch
Patch50:        18428-poll-single-port.patch
Patch51:        18443-smbios-large-mem.patch
Patch52:        18528-dump-evtchn.patch
Patch53:        18729-apic-timer-deadline.patch
Patch54:        18777-vcpuop_hypercalls.patch
Patch55:        18795-x86-ioapic-guest-write.patch
Patch56:        18943-amd-32bit-paging-limit.patch
Patch57:        19088-x86-page-non-atomic-owner.patch
Patch58:        x86-pgtable-no-biglock.patch
Patch59:        19089-x86_64-widen-page-refcounts.patch
Patch60:        19135-x86_64-sh-next-shadow.patch
Patch61:        xend-vnclisten.patch
Patch62:        19230-vtd-mobile-series4-chipset.patch
Patch63:        19234_pygrub.patch
Patch64:        19266-19365-event-channel-access-fix.patch
Patch65:        19291-pygrub.patch
Patch66:        19505-x86_64-clear-cr1.patch
Patch67:        19578-hvm-load-ldt-first.patch
Patch68:        19597-x86-ioport-quirks-BL2xx.patch
Patch69:        19606-hvm-x2apic-cpuid.patch
Patch70:        19764-hvm-domain-lock-leak.patch
Patch71:        19767-hvm-port80-inhibit.patch
Patch72:        19898-32on64-arg-xlat-size.patch
Patch73:        19945-pae-xen-l2-entries.patch
Patch74:        19953-x86-fsgs-base.patch
Patch75:        19960-show-page-walk.patch
Patch76:        20013-xend-memleak.patch
Patch77:        20035-x86-load-sreg-adjust.patch
Patch78:        20059-vmx-nmi-handling.patch
Patch79:        20077-x86-runstate-cswitch-out.patch
Patch80:        20099-pygrub-security.patch
Patch81:        20101-hvm-no-compat-virt-start.patch
Patch82:        20107-pygrub-security.patch
Patch83:        20112-x86-dom0-boot-run-timers.patch
Patch84:        20120-x86-srat-check-discontig.patch
Patch85:        20146-pygrub-security.patch
Patch86:        20174-pygrub-security.patch
Patch87:        20201-pygrub-security.patch
Patch88:        20329-vifname.patch
Patch89:        20379-sxp.patch
Patch90:        20289-shadow-shutdown-fault-inject.patch
Patch91:        20290-numa-unpopulated-nodes.patch
Patch92:        20322-p2m-lock.patch
Patch93:        20337-shadow-pae-inconsistent-walks.patch
Patch94:        20418-x86-parse-edd.patch
Patch95:        20508-shadow-teardown-p2m.patch
Patch96:        20593-keymap.patch
Patch97:        20920-x86-trampoline-location.patch
Patch98:        20995-xend-exit-action.patch
Patch99:        21031-console-incremental-access.patch
Patch100:       21160-sysctl-debug-keys.patch
Patch101:       21234-x86-bad-srat-clear-pxm2node.patch
Patch102:       21266-vmx-disabled-check.patch
Patch103:       21331-svm-vintr-during-nmi.patch
Patch104:       21360-x86-mce-polling-disabled-init.patch
Patch105:       21373-dummy-domain-io-caps.patch
Patch106:       21408-amd-erratum-383.patch
Patch107:       21432-4.0-cpu-boot-failure.patch
Patch108:       21492-x86-pirq-unbind.patch
Patch109:       21542-amd-erratum-411.patch
Patch110:       21700-32on64-vm86-gpf.patch
Patch111:       21886-kexec-shutdown.patch
Patch112:       22174-x86-pmtimer-accuracy.patch
Patch113:       22280-kexec.patch
Patch114:       7410-qemu-alt-gr.patch 	
Patch115:       22448-x86_64-gdt-ldt-fault-filter.patch
Patch116:       22451-hvm-cap-clobber.patch
Patch117:       22466-x86-sis-apic-bug.patch
Patch118:       22470-vlapic-tick-loss.patch
Patch119:       22484-vlapic-tmcct-periodic.patch
Patch120:       22540-32on64-hypercall-debug.patch
Patch121:       22645-amd-flush-filter.patch
Patch122:       22782-x86-emul-smsw.patch
# Upstream qemu
Patch125:       7433-qemu-altgr.patch
Patch126:       7434-qemu-rlimit-as.patch
# Our patches
Patch130:       xen-config.diff
Patch131:       xend-config.diff
Patch132:       xen-destdir.diff
Patch133:       xen-rpmoptflags.diff
Patch134:       xen-warnings.diff
Patch135:       xen-changeset.diff
Patch136:       xen-paths.diff
Patch137:       xen-xmexample.diff
Patch138:       xen-xmexample-nbd.diff
Patch139:       xen-fixme-doc.diff
Patch140:       xen-config-fix.diff
Patch141:       xen-domUloader.diff
Patch142:       xen-no-dummy-nfs-ip.diff
Patch143:       serial-split.patch
Patch144:       xen-xm-top-needs-root.diff
Patch145:       xen-tightvnc-args.diff
Patch146:       xen-max-free-mem.diff
Patch147:       xen-ioapic-ack-default.diff
Patch148:       xen-lowmem-emergency-pool.diff
Patch149:       block-losetup-retry.diff
Patch150:       block-flags.diff
Patch151:       xen-hvm-default-bridge.diff
Patch152:       xen-hvm-default-pae.diff
Patch153:       xm-test-cleanup.diff
Patch154:       cross-build-fix.diff
Patch155:       xen-generate-foreign-headers.diff
Patch156:       tools-xc_kexec.diff
Patch157:       tools-kboot.diff
Patch158:       libxen_permissive.patch
Patch159:       xenapi-console-protocol.patch
Patch160:       xen-disable-qemu-monitor.diff
Patch161:       supported_module.diff
Patch162:       qemu-security-etch1.diff
Patch163:       vnc-i18n-keys.diff
Patch164:       rpmlint.diff
Patch165:       cdrom-removable.patch
Patch166:       bridge-vlan.diff
Patch167:       bridge-bonding.diff
Patch169:       bridge-record-creation.patch
Patch170:       keymap_nl-be.patch
Patch171:       xen-fbback-resize.patch
Patch172:       xend-core-dump-loc.diff
Patch173:       blktap.patch
Patch174:       xen-api-auth.patch
Patch175:       pv_32_16_color_trans.patch
Patch176:       keymap-vm.patch
Patch177:       xen-qemu-iscsi-fix.patch
Patch178:       key-shift-escape.patch
Patch179:       xen-vnc-resize.patch
Patch180:       xen-qcow-aio_init.patch
Patch181:       xen-hvmloader-smbios-def-parm.diff
Patch182:       xen-netware-sp7-install.diff
Patch183:       xend-ioport-irq.patch
Patch184:       xen-vgabios-shrink.patch
Patch185:       int13_hardisk-64bit-lba.patch
Patch186:       qemu-dm-segfault.patch
Patch187:       cross-bit-coredumping.patch 
Patch188:       xend-timeoffset.patch
Patch189:       capslock_enable.patch
Patch190:       cross-migrate.patch
Patch191:       bdrv_open2_fix_flags.patch
Patch192:       bdrv_open2_flags_2.patch
Patch193:       bdrv-open2-cdrom-size-check.patch
Patch194:       xm-create-xflag.patch
Patch195:       xend-metrics.patch
Patch196:       altgr_2.patch
Patch197:       stdvga-cache.patch
Patch198:       multi-bootloader-dev.patch
Patch199:       qemu-dm-ide-id.patch
# Jim's domain lock patch
Patch230:       xend-domain-lock.patch
# Patches from Jan
Patch240:       xenctx.patch
Patch241:       const-callback-arg.patch
Patch242:       const-set-trap-table-arg.patch
Patch243:       pv-drv-mkbuildtree.patch
Patch244:       x86_emulate.patch
Patch245:       x86-extra-trap-info.patch
Patch246:       32on64-extra-mem.patch
Patch247:       x86-domain-shutdown-latency.patch
Patch248:       x86_64-page-info-pack.patch
Patch249:       x86_64-clip-dom0-mem.patch
Patch250:       hvm-cpuid-2nd-input.patch
# PV Driver Patches
Patch350:       pv-driver-build.patch
Patch351:       xen-ioemu-hvm-pv-support.diff
Patch352:       disable_emulated_device.diff
Patch353:       pvdrv_emulation_control.patch
Patch354:       ioemu-disable-scsi.patch 
# novell_shim patches
Patch400:       ns_tools.patch
Patch401:       ns_xen_base.patch
Patch402:       ns_xen_extension.patch
# Intel EPT / VPID patches
Patch500:       ept-novell-x64.patch
Patch501:       vpid-novell-x86.patch
Patch502:       livemig-ept-novell-x64.patch
Patch503:       ept-2m-x64.patch
Patch504:       amd_npt_2m_super_page.patch
Patch505:       max-mapped-pfn-fix.patch
Patch506:       vtd-fix.patch
Patch507:       ept-supported-fix.patch
Patch508:       vpid-shadow-fix.patch
Patch509:       hap_param.diff
Patch510:       mtrr-x86_64.diff
Patch511:       18692-track-max_mapped_pfn-x86_64.patch
Patch512:       ept-cleanup.patch
Patch514:       svm-smsw-emul.patch
Patch515:       hvm-mtrr.patch
Patch516:       svm-decode-fetch-all.patch
Patch517:       svm-mmio-msr.patch

Url:            http://www.cl.cam.ac.uk/Research/SRG/netos/xen/
Prefix:         /usr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
%define pysite %(python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib()")
%if %{?with_kmp}0
%suse_kernel_module_package -n xen um xen xenpae
%endif

%description
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the Xen Hypervisor. (tm)

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.

In addition to this package you need to install the kernel-xen and
xen-tools to use Xen. Xen 3 also supports running unmodified guests
using full virtualization, if appropriate hardware is present. Install
xen-tools-ioemu if you want to use this.

[Hypervisor is a trademark of IBM]



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>
    Keir Fraser <Keir.Fraser@cl.cam.ac.uk>
    Christian Limpach <Christian.Limpach@cl.cam.ac.uk>
    Mark Williamson <mark.williamson@cl.cam.ac.uk>
    Ewan Mellor <ewan@xensource.com>
    ...

%package libs
License:        GPL v2 or later
Summary:        Xen Virtualization: Libraries
Group:          System/Kernel
Requires:       xen = %{version}
AutoReqProv:    on

%description libs
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the libraries used to interact with the Xen
virtual machine monitor.

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package tools
License:        GPL v2 or later
Summary:        Xen Virtualization: Control tools for domain 0
Group:          System/Kernel
Requires:       xen-libs = %{version}
Requires:       xen-tools-ioemu = %{version}
Requires:       bridge-utils multipath-tools python python-curses python-openssl python-pam python-xml pyxml libvirt-python virt-viewer
%if %{?with_install}0
Requires:       python-urlgrabber
%endif
AutoReqProv:    on

%description tools
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the control tools that allow you to start, stop,
migrate, and manage virtual machines.

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.

In addition to this package you need to install kernel-xen and xen to
use Xen.



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package tools-domU
License:        GPL v2 or later
Summary:        Xen Virtualization: Control tools for domain U
Group:          System/Kernel
Conflicts:      xen-tools
AutoReqProv:    on

%description tools-domU
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains tools that allow unprivileged domains to query
the virtualized environment.



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package tools-ioemu
License:        GPL v2 or later
Summary:        Xen Virtualization: BIOS and device emulation for unmodified guests
Group:          System/Kernel
AutoReqProv:    on

%description tools-ioemu
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the needed BIOS and device emulation code to
support unmodified guests. (You need virtualization support in hardware
to make use of this.)

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.

In addition to this package you need to install kernel-xen, xen, and
xen-tools to use Xen.



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package devel
License:        GPL v2 or later
Summary:        Xen Virtualization: Headers and libraries for development
Group:          System/Kernel
Requires:       xen-libs = %{version}

%description devel
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the libraries and header files needed to create
tools to control virtual machines.

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%if %{?with_kmp}0

%package KMP
License:        GPL v2 or later
Group:          System/Kernel
Summary:        Xen para-virtual device drivers for fully virtualized guests
Conflicts:      xen

%description KMP
Xen para-virtual device drivers for fully virtualized guests

Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

This package contains the libraries and header files needed to create
tools to control virtual machines.

Modern computers are sufficiently powerful to use virtualization to
present the illusion of many smaller virtual machines (VMs), each
running a separate operating system instance. Successful partitioning
of a machine to support the concurrent execution of multiple operating
systems poses several challenges. Firstly, virtual machines must be
isolated from one another: It is not acceptable for the execution of
one to adversely affect the performance of another. This is
particularly true when virtual machines are owned by mutually
untrusting users. Secondly, it is necessary to support a variety of
different operating systems to accommodate the heterogeneity of popular
applications. Thirdly, the performance overhead introduced by
virtualization should be small.

Xen uses a technique called paravirtualization: The guest OS is
modified, mainly to enhance performance.

The Xen hypervisor (microkernel) does not provide device drivers for
your hardware (except for CPU and memory). This job is left to the
kernel that's running in domain 0. Thus the domain 0 kernel is
privileged; it has full hardware access. It's started immediately after
Xen starts up. Other domains have no access to the hardware; instead
they use virtual interfaces that are provided by Xen (with the help of
the domain 0 kernel).

Xen does support booting other Operating Systems; ports of NetBSD
(Christian Limpach), FreeBSD (Kip Macy), and Plan 9 (Ron Minnich)
exist. A port of Windows XP was developed for an earlier version of
Xen, but is not available for release due to license restrictions.



%endif

%package doc-html
License:        GPL v2 or later
Summary:        Xen Virtualization: HTML documentation
Group:          Documentation/HTML

%description doc-html
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

xen-doc-html contains the online documentation in HTML format. Point
your browser at file:/usr/share/doc/packages/xen/html/



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package doc-pdf
License:        GPL v2 or later
Summary:        Xen Virtualization: PDF documentation
Group:          Documentation/Other

%description doc-pdf
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

xen-doc-pdf contains the online documentation in PDF format. Use
xpdf/kpdf/gpdf/gv/... to read the files in
/usr/share/doc/packages/xen/pdf/



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%package doc-ps
License:        GPL v2 or later
Summary:        Xen Virtualization: PostScript documentation
Group:          Documentation/Other

%description doc-ps
Xen is a virtual machine monitor for x86 that supports execution of
multiple guest operating systems with unprecedented levels of
performance and resource isolation.

xen-doc-ps contains the online documentation in PostScript format. Use
gv/kghostview/... to read the files in /usr/share/doc/packages/xen/ps/



Authors:
--------
    Ian Pratt <ian.pratt@cl.cam.ac.uk>

%prep
%setup -q -n %xen_build_dir
%setup -q -c -n %xen_build_dir -D -T -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch125 -p1
%patch126 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch169 -p1
%patch170 -p1
%patch171 -p1 
%patch172 -p1 
%patch173 -p1 
%patch174 -p1 
%patch175 -p1 
%patch176 -p1 
%patch177 -p1 
%patch178 -p1 
%patch179 -p1 
%patch180 -p1 
%patch181 -p1
%patch182 -p1
%patch183 -p1
%patch184 -p1
%patch185 -p1
%patch186 -p1
%patch187 -p1
%patch188 -p1
%patch189 -p1
%patch190 -p1
%patch191 -p1
%patch192 -p1
%patch193 -p1
%patch194 -p1
%patch195 -p1
%patch196 -p1
%patch197 -p1
%patch198 -p1
%patch199 -p1
%patch230 -p1
%patch240 -p1
%patch241 -p1
%patch242 -p1
%patch243 -p1
%patch244 -p1
%patch245 -p1
%patch246 -p1
%patch247 -p1
%patch248 -p1
%patch249 -p1
%patch250 -p1
%patch350 -p1
%patch351 -p1
%patch352 -p1
%patch353 -p1
%patch354 -p1
%patch400 -p1
%patch401 -p1
%patch402 -p1
%patch500 -p1
%patch501 -p1
%patch502 -p1
%patch503 -p1
%patch504 -p1
%patch505 -p1
%patch506 -p1
%patch507 -p1
%patch508 -p1
%patch509 -p1
%patch510 -p1
%patch511 -p1
%patch512 -p1
%patch514 -p1
%patch515 -p1
%patch516 -p1
%patch517 -p1
XEN_EXTRAVERSION=%version-%release
XEN_EXTRAVERSION=${XEN_EXTRAVERSION#%{xvers}}
sed -i "s/XEN_EXTRAVERSION[ 	]*.=.*\$/XEN_EXTRAVERSION  = $XEN_EXTRAVERSION/" xen/Makefile
sed -i "s/XEN_CHANGESET[ 	]*=.*\$/XEN_CHANGESET     = %{changeset}/" xen/Makefile

%build
RPM_OPT_FLAGS=${RPM_OPT_FLAGS//-fstack-protector/}
export CFLAGS="${RPM_OPT_FLAGS}"
export RPM_OPT_FLAGS
make -C xen/include/public/foreign
make tools docs
%if %{?with_kmp}0
# pv driver modules
export XL=/usr/src/linux
export XEN=/usr/src/linux/include/xen
mkdir -p obj
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r unmodified_drivers/linux-2.6 obj/$flavor
    cd obj/$flavor
    ./mkbuildtree
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD
    cd ../..
done
%endif

%install
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
export CFLAGS="$RPM_OPT_FLAGS" 
export RPM_OPT_FLAGS
install_xen()
{
    local ext=""
    if [ -n "$1" ]; then
        ext="-$1"
        mv $RPM_BUILD_ROOT/boot/xen-%{version}-%{release}.gz \
           $RPM_BUILD_ROOT/boot/xen${ext}-%{version}-%{release}.gz
        mv $RPM_BUILD_ROOT/boot/xen-syms-%{version}-%{release} \
           $RPM_BUILD_ROOT/boot/xen-syms${ext}-%{version}-%{release}
    fi
    rm $RPM_BUILD_ROOT/boot/xen-%{xvers}.gz
    rm $RPM_BUILD_ROOT/boot/xen-%{xvermaj}.gz
    rm $RPM_BUILD_ROOT/boot/xen.gz
    # Do not link to links; grub cannot follow.
    ln -s xen${ext}-%{version}-%{release}.gz $RPM_BUILD_ROOT/boot/xen${ext}-%{xvers}.gz
    ln -s xen${ext}-%{version}-%{release}.gz $RPM_BUILD_ROOT/boot/xen${ext}-%{xvermaj}.gz
    ln -s xen${ext}-%{version}-%{release}.gz $RPM_BUILD_ROOT/boot/xen${ext}.gz
    ln -sf xen-syms${ext}-%{version}-%{release} $RPM_BUILD_ROOT/boot/xen-syms${ext}
}
%ifarch %ix86
make -C xen install pae=y debug=y crash_debug=y DESTDIR=$RPM_BUILD_ROOT
install_xen pae-dbg
make -C xen clean
make -C xen install pae=y debug=n crash_debug=n DESTDIR=$RPM_BUILD_ROOT
install_xen pae
make -C xen clean
%endif
%ifarch x86_64
make -C xen install max_phys_cpus=64 debug=y crash_debug=y DESTDIR=$RPM_BUILD_ROOT
install_xen dbg
make -C xen clean
make -C xen install max_phys_cpus=64 debug=n crash_debug=n DESTDIR=$RPM_BUILD_ROOT
install_xen
make -C xen clean
%else
make -C xen install pae=n debug=y crash_debug=y DESTDIR=$RPM_BUILD_ROOT
install_xen dbg
make -C xen clean
make -C xen install pae=n debug=n crash_debug=n DESTDIR=$RPM_BUILD_ROOT
install_xen
make -C xen clean
%endif
export CFLAGS="$RPM_OPT_FLAGS"
export RPM_OPT_FLAGS
make -C xen/include/public/foreign
# tools
export XEN_PYTHON_NATIVE_INSTALL=1
#export PYTHONOPTIMIZE=1
make -C tools install \
    DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}
%if %{?with_install}0
make -C vm-install-0.2.17 install DESTDIR=$RPM_BUILD_ROOT
ln -s /usr/bin/vm-install $RPM_BUILD_ROOT/usr/sbin/xen-vm-install
%find_lang xen-vm-install
%endif
make -C tools/misc/serial-split install \
    DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}
%ifarch x86_64
mkdir -p $RPM_BUILD_ROOT/usr/lib/xen/bin/
ln -s %{_libdir}/xen/bin/qemu-dm $RPM_BUILD_ROOT/usr/lib/xen/bin/qemu-dm
#ln -s %{_libdir}/xen/bin/xen-sdlfb $RPM_BUILD_ROOT/usr/lib/xen/bin/xen-sdlfb
#ln -s %{_libdir}/xen/bin/xen-vncfb $RPM_BUILD_ROOT/usr/lib/xen/bin/xen-vncfb
%endif
%if %{?with_kmp}0
# pv driver modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor
done
%endif
# docs
make -C docs install \
    DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} \
    DOCDIR=%{_defaultdocdir}/xen
for name in COPYING %SOURCE2 %SOURCE3; do 
    install -m 644 $name $RPM_BUILD_ROOT/%{_defaultdocdir}/xen/
done
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/xen/misc
for name in vtpm.txt crashdb.txt sedf_scheduler_mini-HOWTO.txt; do
    install -m 644 docs/misc/$name $RPM_BUILD_ROOT/%{_defaultdocdir}/xen/misc/
done
# init scripts
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install %SOURCE5 $RPM_BUILD_ROOT/etc/init.d/xend
ln -s /etc/init.d/xend $RPM_BUILD_ROOT/usr/sbin/rcxend
install %SOURCE6 $RPM_BUILD_ROOT/etc/init.d/xendomains
ln -s /etc/init.d/xendomains $RPM_BUILD_ROOT/usr/sbin/rcxendomains
# example config
mkdir -p $RPM_BUILD_ROOT/etc/xen/{vm,examples}
mv $RPM_BUILD_ROOT/etc/xen/xmexample* $RPM_BUILD_ROOT/etc/xen/examples
rm $RPM_BUILD_ROOT/etc/xen/examples/*nbd
install -m644 %SOURCE9 %SOURCE10 $RPM_BUILD_ROOT/etc/xen/examples/
# sample scripts
install -m755 %SOURCE4 $RPM_BUILD_ROOT/%{_defaultdocdir}/xen/
rm $RPM_BUILD_ROOT/etc/xen/scripts/block-*nbd
install -m755 %SOURCE11 %SOURCE12 %SOURCE13 %SOURCE14 %SOURCE15 %SOURCE16 %SOURCE17 $RPM_BUILD_ROOT/etc/xen/scripts/
ln -s /etc/xen/scripts/vm-monitor $RPM_BUILD_ROOT/etc/xen/scripts/set-lock
# Xen API remote authentication files
install -d $RPM_BUILD_ROOT/etc/pam.d
install -m644 %SOURCE21 $RPM_BUILD_ROOT/etc/pam.d/xen-api
install -m644 %SOURCE22 $RPM_BUILD_ROOT/etc/xen/
# logrotate
install -m644 -D %SOURCE7 $RPM_BUILD_ROOT/etc/logrotate.d/xend
# directories
mkdir -p $RPM_BUILD_ROOT/var/lib/xenstored
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/images
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/jobs
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/save
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/dump
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/xend-db/domain
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/xend-db/migrate
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/xend-db/vnet
%if %{?with_install}0
mkdir -p $RPM_BUILD_ROOT/var/lib/xen/vm-install
%endif
mkdir -p $RPM_BUILD_ROOT/var/log/xen
mkdir -p $RPM_BUILD_ROOT/var/run/xenstored
ln -s /var/lib/xen/images $RPM_BUILD_ROOT/etc/xen/images
# Bootloader
install -m755 %SOURCE8 $RPM_BUILD_ROOT/usr/lib/xen/boot/
# udev support
mv $RPM_BUILD_ROOT/etc/udev/rules.d/xen-backend.rules $RPM_BUILD_ROOT/etc/udev/rules.d/40-xen.rules
# Clean up unpackaged files
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/qemu/
rm     $RPM_BUILD_ROOT/%{_mandir}/man1/qemu.*
rm     $RPM_BUILD_ROOT/usr/sbin/netfix
rm     $RPM_BUILD_ROOT/usr/lib*/xen/bin/qemu-dm.debug
rm -f  $RPM_BUILD_ROOT/%pysite/*.egg-info
%suse_update_desktop_file vm-install X-SuSE-YaST-Virtualization
sed -i -e 's/Categories=.*/Categories=Qt;X-SuSE-YaST;X-SuSE-YaST-Virtualization;/' $RPM_BUILD_ROOT/%{_datadir}/applications/YaST2/vm-install.desktop

%files
%defattr(-,root,root)
/boot/xen-%{version}-%{release}.gz
/boot/xen-%{xvers}.gz
/boot/xen-%{xvermaj}.gz
/boot/xen.gz
/boot/xen-syms-%{version}-%{release}
/boot/xen-syms
/boot/xen-dbg-%{version}-%{release}.gz
/boot/xen-dbg-%{xvers}.gz
/boot/xen-dbg-%{xvermaj}.gz
/boot/xen-dbg.gz
/boot/xen-syms-dbg-%{version}-%{release}
/boot/xen-syms-dbg
%ifarch %ix86
/boot/xen-pae-%{version}-%{release}.gz
/boot/xen-pae-%{xvers}.gz
/boot/xen-pae-%{xvermaj}.gz
/boot/xen-pae.gz
/boot/xen-syms-pae-%{version}-%{release}
/boot/xen-syms-pae
/boot/xen-pae-dbg-%{version}-%{release}.gz
/boot/xen-pae-dbg-%{xvers}.gz
/boot/xen-pae-dbg-%{xvermaj}.gz
/boot/xen-pae-dbg.gz
/boot/xen-syms-pae-dbg-%{version}-%{release}
/boot/xen-syms-pae-dbg
%endif

%files libs
%defattr(-,root,root)
%{_libdir}/fs/
%{_libdir}/libblktap.so.*
%{_libdir}/libflask.so.*
%{_libdir}/libfsimage.so.*
%{_libdir}/libxen*.so.*
%if %{?with_install}0

%files tools -f xen-vm-install.lang
%else

%files tools
%endif
%defattr(-,root,root)
/usr/bin/lomount
/usr/bin/pygrub
/usr/bin/xencons
/usr/bin/xenstore*
/usr/bin/xentrace*
/usr/sbin/blktapctrl
/usr/sbin/flask-loadpolicy
/usr/sbin/img2qcow
/usr/sbin/qcow-create
/usr/sbin/qcow2raw
/usr/sbin/tapdisk
/usr/sbin/rcxend
/usr/sbin/rcxendomains
/usr/sbin/xen*
/usr/sbin/xm
/usr/sbin/xsview
%if %{?with_install}0
/usr/bin/vm-*
%{_datadir}/vm-install
%dir /var/lib/xen/vm-install
%dir %{_datadir}/YaST2
%dir %{_datadir}/YaST2/clients
%dir %{_datadir}/applications/YaST2
%{_datadir}/YaST2/clients/vm-install.ycp
%{_datadir}/applications/YaST2/vm-install.desktop
%pysite/vminstall/
%pysite/vmdisks/
%dir /var/run/vm-install
%endif
%dir %{_libdir}/xen
%dir %{_libdir}/xen/bin
%ifarch x86_64
%dir /usr/lib/xen
%dir /usr/lib/xen/bin
%endif
%dir /usr/lib/xen/boot
%{_libdir}/xen/bin/readnotes
#%{_libdir}/xen/bin/xen-sdlfb
#%{_libdir}/xen/bin/xen-vncfb
%{_libdir}/xen/bin/xc_restore
%{_libdir}/xen/bin/xc_save
%{_libdir}/xen/bin/xenconsole
%{_libdir}/xen/bin/xenctx
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz
%dir /var/lib/xen
%dir /var/lib/xenstored
%dir %attr(700,root,root) /var/lib/xen/images
%dir %attr(700,root,root) /var/lib/xen/save
%dir %attr(700,root,root) /var/lib/xen/dump
%dir /var/lib/xen/xend-db
%dir /var/lib/xen/xend-db/domain
%dir /var/lib/xen/xend-db/migrate
%dir /var/lib/xen/xend-db/vnet
%dir /var/log/xen
%dir /var/run/xenstored
%config /etc/init.d/xendomains
%config /etc/init.d/xend
%config /etc/logrotate.d/xend
/var/adm/fillup-templates/*
%dir %attr(700,root,root) /etc/xen
%config /etc/xen/examples
/etc/xen/images
/etc/xen/qemu-ifup
%config /etc/xen/scripts
%config /etc/xen/vm
%config(noreplace) /etc/xen/*.sxp
%config(noreplace) /etc/xen/*.xml
%config(noreplace) /etc/xen/xenapiusers
%config /etc/pam.d/xen-api
%dir /etc/udev
%dir /etc/udev/rules.d
/etc/udev/rules.d/40-xen.rules
%dir %{_defaultdocdir}/xen
%{_defaultdocdir}/xen/COPYING
%{_defaultdocdir}/xen/README.SuSE
%{_defaultdocdir}/xen/boot.xen
%{_defaultdocdir}/xen/boot.local.xenU
%{_defaultdocdir}/xen/misc
%dir %pysite/xen
%dir %pysite/grub
%pysite/xen/*
/usr/lib/xen/boot/domUloader.py
%pysite/grub/*
%pysite/fsimage.so

%files tools-domU
%defattr(-,root,root)
/usr/bin/xen-detect
/bin/xenstore-*

%files tools-ioemu
%defattr(-,root,root)
%dir %{_datadir}/xen
%dir %{_datadir}/xen/qemu
%dir %{_datadir}/xen/qemu/keymaps
%{_datadir}/xen/qemu/keymaps/*
%{_libdir}/xen/bin/qemu-dm
%ifarch x86_64
/usr/lib/xen/bin/qemu-dm
#/usr/lib/xen/bin/xen-sdlfb
#/usr/lib/xen/bin/xen-vncfb
/usr/lib64/xen/bin/xc_kexec
%else
/usr/lib/xen/bin/xc_kexec
%endif
/usr/lib/xen/boot/hvmloader

%files devel
%defattr(-,root,root)
%{_libdir}/libblktap.a
%{_libdir}/libblktap.so
%{_libdir}/libflask.a
%{_libdir}/libflask.so
%{_libdir}/libfsimage.so
%{_libdir}/libxen*.a
%{_libdir}/libxen*.so
/usr/include/xen/
/usr/include/blktaplib.h
/usr/include/flask.h
/usr/include/fsimage*
/usr/include/xen*.h
/usr/include/xs.h
/usr/include/xs_lib.h
/usr/share/xen/create.dtd
/usr/bin/serial-split
/usr/bin/xenperf

%files doc-html
%defattr(-,root,root)
%{_defaultdocdir}/xen/html

%files doc-pdf
%defattr(-,root,root)
%dir %{_defaultdocdir}/xen/pdf
%{_defaultdocdir}/xen/pdf/*

%files doc-ps
%defattr(-,root,root)
%dir %{_defaultdocdir}/xen/ps
%{_defaultdocdir}/xen/ps/*

%clean
#test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_DIR/%xen_build_dir

%post tools
%{fillup_and_insserv -y -f xend}
%{fillup_and_insserv -y -n xendomains xendomains}

%preun tools
%{stop_on_removal xendomains xend}

%postun tools
%{restart_on_update xend}
%{insserv_cleanup}

%changelog
* Tue Feb  1 2011 kallan@novell.com
- bnc#667084 - Device 8086/7010 missing subsystem vendor id.
  Needed for SVVP testing.
  qemu-dm-ide-id.patch
* Tue Feb  1 2011 carnold@novell.com
- Upstream patch from Jan
  22782-x86-emul-smsw.patch
* Mon Jan 31 2011 carnold@novell.com
- bnc#666669 - Error in HAL timer SVVP Test
  vm-install-0.2.17.tar.bz2
* Wed Jan 19 2011 carnold@novell.com
- bnc#652508 - Fully Virtualized SLES 10 SP4 beta1 32-bit Guest
  hangs at hardware detection
  18419-hvm-handle-okay.patch
- Upstream patches from Jan
  22540-32on64-hypercall-debug.patch
  21432-4.0-cpu-boot-failure.patch
  22645-amd-flush-filter.patch
  7434-qemu-rlimit-as.patch
* Mon Jan 10 2011 cyliu@novell.com
- bnc#663306 - fix problem when input '|' in en-us keyboard
  7433-qemu-altgr.patch
* Wed Jan  5 2011 carnold@novell.com
- Upstream patches from Jan
  22470-vlapic-tick-loss.patch
  22484-vlapic-tmcct-periodic.patch
* Wed Dec 15 2010 carnold@novell.com
- bnc#653455 - multiple keyboard issues with virt-manager viewing
  guest console
- bnc#659070 - Virt-manager can not work normally to input
  characters from keyboard to vm.
  Removed 7410-qemu-alt-gr.patch and altgr_2.patch
- bnc#659085 - physical host is rebooted with unknown reason
  Removed 22071-ept-get-entry-lock.patch
- Upstream patches from Jan
  22448-x86_64-gdt-ldt-fault-filter.patch
  22451-hvm-cap-clobber.patch
  22466-x86-sis-apic-bug.patch
* Tue Dec 14 2010 carnold@novell.com
- Removed 7410-qemu-alt-gr.patch and altgr_2.patch.  It causes a
  regression (see bnc#659070)
* Tue Nov 30 2010 carnold@novell.com
- bnc#656245 - VUL-1: hypervisor: application or kernel in any pv
  Xen domain can crash Xen
  x86_64-gdt-ldt-fault-filter.patch
* Tue Nov 23 2010 carnold@novell.com
- Upstream patches from Jan
  22071-ept-get-entry-lock.patch
  22174-x86-pmtimer-accuracy.patch
  22280-kexec.patch
* Thu Nov 18 2010 jfehlig@novell.com
- bnc#640193 - Add support for multiple bootloader devices in xend
  multi-bootloader-dev.patch
* Thu Nov 18 2010 jfehlig@novell.com
- bnc#640193 - Improve PV bootloader logic in xend
  modified xen-domUloader.diff
* Thu Nov 11 2010 jfehlig@novell.com
- bnc#651998 - Expose 'force' and 'rm_cfg' options in xend
  device_destroy operation.
  17220-xend-dev-destroy.patch
* Thu Oct  7 2010 carnold@novell.com
- bnc#640953 - L3: RHEL xen guest window is collapsed
  stdvga-cache.patch
* Wed Oct  6 2010 cyliu@novell.com
- bnc#632956 - fix VNC altgr-insert behavior
  7410-qemu-alt-gr.patch
  altgr_2.patch
* Wed Oct  6 2010 jfehlig@novell.com
- bnc#640193 - VM will not restart with "KeyError" in xend.log
  xend-metrics.patch
* Wed Sep 22 2010 carnold@novell.com
- bnc#639119 - SLES10 SP3: Shutting down VM causes server to reboot
  with VT-d Enabled
  vtd-fix.patch
- Upstream patches from Jan
  21492-x86-pirq-unbind.patch
  21700-32on64-vm86-gpf.patch
  21886-kexec-shutdown.patch
* Wed Sep  8 2010 jfehlig@novell.com
- bnc#539048 - Xen VM won't migrate with empty CD devices
  17777-empty-cdrom-fix.patch
* Tue Sep  7 2010 carnold@novell.com
- bnc#637213 - L3: Xen qemu-dm causing erroneous media removal/
  arrival events faster than W2K3 VM can handle causing memory
  problems
  bdrv-open2-cdrom-size-check.patch
* Tue Aug 17 2010 jfehlig@novell.com
- bnc#630310 - Fix vm config options coredump-{restart,destroy}
  18257-xm-typo.patch
  20995-xend-exit-action.patch
  Added hunk to xm-create-xflag.patch
* Tue Jul  6 2010 carnold@novell.com
- bnc#617141 - maintenance release candidate - errors rebooting
  during install
  Revert 17041-amd-k8-fix.patch
* Thu Jun 24 2010 carnold@novell.com
- bnc#616291 - xenmon crashes system
  17515-xenmon.patch
* Mon Jun 14 2010 carnold@novell.com
- bnc#612189 - Clear APIC Timer Initial Count Register when masking
  timer interrupt
  21542-amd-erratum-411.patch
* Tue Jun  1 2010 carnold@novell.com
- Upstream patches from Jan
  21031-console-incremental-access.patch
  21160-sysctl-debug-keys.patch
  21234-x86-bad-srat-clear-pxm2node.patch
  21266-vmx-disabled-check.patch
  21331-svm-vintr-during-nmi.patch
  21360-x86-mce-polling-disabled-init.patch
  21373-dummy-domain-io-caps.patch
* Thu May 20 2010 carnold@novell.com
- bnc#607219 - AMD Erratum 383 workaround for Xen
  21408-amd-erratum-383.patch
* Thu Mar 18 2010 carnold@novell.com
- bnc#589528 - Wrong bootloader for PV RHEL VMs
  vm-install-0.2.16.tar.bz2
* Mon Mar  8 2010 carnold@novell.com
- bnc#585056 - SLES10SP3 64bit Xen boot hang from iSCSI target
  20920-x86-trampoline-location.patch
* Mon Feb 22 2010 jfehlig@novell.com
- bnc#556939 - Improve device map cleanup code in domUloader
* Thu Feb 18 2010 ksrinivasan@novell.com
- bnc#558760 - Disable scsi disk emulation when you load the PV
  drivers.
* Thu Jan 28 2010 carnold@novell.com
- bnc#574400 - SVVP test SMBIOS HCT fails because of
  MemoryDeviceTables. (See also bnc#429637)
  18443-smbios-large-mem.patch
* Tue Jan 26 2010 carnold@novell.com
- bnc#572904 - [SLES11 SP1]Beta2: Xen, unable to change vm-install
  memory parameters.  Also a bug in vm-install for sle10sp3.
  vm-install-0.2.15.tar.bz2
* Mon Jan 11 2010 carnold@novell.com
- Added Xen 3.2 upstream changeset 17041.  Provides an AMD K8 fix.
* Tue Dec  8 2009 jfehlig@novell.com
- bnc#548443 - keymap setting not preserved
  20593-keymap.patch
* Mon Nov 30 2009 carnold@novell.com
- Upstream fixes from Jan Beulich
  18428-poll-single-port.patch
  18528-dump-evtchn.patch
  20289-shadow-shutdown-fault-inject.patch
  20290-numa-unpopulated-nodes.patch
  20322-p2m-lock.patch
  20337-shadow-pae-inconsistent-walks.patch
  20418-x86-parse-edd.patch
  20508-shadow-teardown-p2m.patch
* Wed Oct 28 2009 jfehlig@novell.com
- bnc#529195 - xend: disallow ! as a sxp separator
  20379-sxp.patch
* Fri Oct 16 2009 jfehlig@novell.com
- bnc#545470 - Xen vifname parameter is ignored when using
  type=ioemu in guest configuration file
  20329-vifname.patch
* Thu Oct 15 2009 jfehlig@novell.com
- bnc#543397 - pygrub unable to read images containing ext3 fs
  17464-ext3.patch
* Tue Oct 13 2009 carnold@novell.com
- bnc#520286 - Guests with >2.6.26 kernel won't get more than
  4GB RAM
  svm-mmio-msr.patch
* Fri Oct  9 2009 carnold@novell.com
- bnc#541945 - xm create -x command does not work in SLES 10 SP2 or
  SLES 11
  xm-create-xflag.patch
* Mon Sep 28 2009 carnold@novell.com
- bnc#542525 - VUL-1: xen pygrub vulnerability
  20099-pygrub-security.patch
  20107-pygrub-security.patch
  20146-pygrub-security.patch
  20174-pygrub-security.patch
  20201-pygrub-security.patch
* Fri Sep 25 2009 carnold@novell.com
- bnc#275325 - vm-install-jobs --delete <job id> does not remove
  the VM's disk images. (Additional fix)
  vm-install-0.2.14.tar.bz2
* Tue Sep 15 2009 carnold@novell.com
- bnc#538574 - Panic when booting to xen-dbg
  20112-x86-dom0-boot-run-timers.patch
* Mon Sep 14 2009 carnold@novell.com
- bnc#538177 - Unable to install SLES 11 HVM on Nehalem
  hvm-cpuid-2nd-input.patch
* Mon Aug 31 2009 carnold@novell.com
- bnc#534364 - SLES10 SP3 Xen fails to boot with HPET on 4-node
  x3950 M2
- bnc#534448 - Xen: Fix SRAT check for discontig memory
  20035-x86-load-sreg-adjust.patch
  20059-vmx-nmi-handling.patch
  20077-x86-runstate-cswitch-out.patch
  20101-hvm-no-compat-virt-start.patch
  20120-x86-srat-check-discontig.patch
  fix-20120.patch
* Mon Aug 17 2009 wkong@novell.com
- bnc#530720 - Timing system of XEN VM freezes at live migration
  remove migrate-timer-shift-fix.patch
* Mon Aug 17 2009 wkong@novell.com
- bnc#531294 - Online addition of dmmd devices viaxm block-attach
  not possible
  modify block-dmmd
* Mon Aug 17 2009 jfehlig@novell.com
- bnc#531107 - Xen can restore as many existent Dom-U as you want
  without Error message
  16937-unique-restore-check.patch
- bnc#515988 - nfs-corruption-fix.patch was causing a regression
  when shutting down FV domains whose file-backed images reside on
  SAN.  Revert this patch and add upstream c/s 17026.
  Remove nfs-corruption-fix.patch
  Add 17026-ioemu-sighup.patch
* Wed Aug 12 2009 carnold@novell.com
- bnc#530246 - vm-install cannot add operating system which is
  installed on disk
* Mon Aug 10 2009 ksrinivasan@novell.com
- bnc#524071 - implemented workaround for a windows7 bug.
* Thu Aug  6 2009 carnold@novell.com
- bnc#522585 - SLES 10 SP2 64Bit fully virtualized pxe boot failed
  svm-decode-fetch-all.patch (Jan Beulich)
* Mon Aug  3 2009 jfehlig@novell.com
- bnc#524180 - xend memory leak resulting in long garbage collector
    runs
  20013-xend-memleak.patch
* Mon Aug  3 2009 carnold@novell.com
- bnc#520286 - Guests with >2.6.26 kernel won't get more than 4GB
  RAM
  hvm-mtrr.patch
* Thu Jul 30 2009 carnold@novell.com
- bnc#525891 - virt-manager fails on windows NT
  vm-install-0.2.14.tar.bz2
* Fri Jul 24 2009 carnold@novell.com
- fate#306125: Virtual machines are not able to boot from CD to
  allow upgrade to OES2SP1 (bnc#481592)
  vm-install-0.2.14.tar.bz2
* Wed Jul 15 2009 jfehlig@novell.com
- bnc#496029 - Support for creating NPIV porst with starting vm
  block-npiv-common.sh
  block-npiv-vport
  Update block-npiv
- bnc#500042 - Fix access to NPIV disk from HVM vm
  Update xen-qemu-iscsi-fix.patch
* Thu Jul  2 2009 jsong@novell.com
-bnc#515350 - unable to restore saved HVM guest
  no-ext-bind-hvm.patch
* Thu Jul  2 2009 jfehlig@novell.com
- Upstream fixes from Jan Beulich
  18943-amd-32bit-paging-limit.patch
  19266-19365-event-channel-access-fix.patch
  19505-x86_64-clear-cr1.patch
  19578-hvm-load-ldt-first.patch
  19597-x86-ioport-quirks-BL2xx.patch
  19606-hvm-x2apic-cpuid.patch
  19764-hvm-domain-lock-leak.patch
- svm patch from Jan Beulich
  svm-smsw-emul.patch
* Fri Jun 12 2009 jsong@novell.com
- bnc#509804 - Xen guest died frequently
  fix_vmexit_inst_len.patch
* Thu Jun 11 2009 carnold@novell.com
- bnc#512164 - [Xen][SLES10SP2] cannot open a vmcore of xen-kdump
  with crash.
  17757-crash-info-note.patch
* Wed Jun 10 2009 carnold@novell.com
- bnc#511172 - Yast virtualizatiion module vm-install fails.
* Tue Jun  9 2009 wkong@novell.com
- bnc#504491 - drop write data when set read only disk in xen config
  bdrv_open2_fix_flags.patch
  bdrv_open2_flags_2.patch
* Mon Jun  8 2009 jsong@novell.com
- bnc#390980 - migrate causing duplicates to appear on receiving host
  cross-migrate.patch
- bnc#390961 - cross-migration of a VM causes it to become
  unresponsive (remains paused after migration)
- bnc#512493 - xen migrate hangs occasionally
* Mon Jun  8 2009 jsong@novell.com
- bnc#382112 - Caps lock not being passed to vm correctly.
  capslock_enable.patch
* Fri Jun  5 2009 carnold@novell.com
- fate#305824 EPT/VPID, MTRR Virtualization.
  ept-cleanup.patch
* Tue Jun  2 2009 carnold@novell.com
- bnc#275325 - vm-install-jobs --delete <job id> does not remove
  the VM's disk images.
- bnc#507599 - Unable to cancel a build on SLES11
  vm-install-0.2.12.tar.bz2
* Sat May 30 2009 xwhu@novell.com
- fate #306306 - active/active switching of md triggered by xend
  migrate_md_deal.patch
* Thu May 28 2009 carnold@novell.com
- bnc#417417 - 4-node x3950 M2 w/1TB hangs when booting SLES10 SP2
  64bit Xen
  x86_64-clip-dom0-mem.patch
* Tue May 26 2009 carnold@novell.com
- bnc#370336 - bad mouse synchronization when using TightVNC
* Thu May 14 2009 brogers@novell.com
- bnc#488876 - win2k3 blue screen on boot when pv drivers installed
* Tue May 12 2009 carnold@novell.com
- bnc#499290 - L3: YaST virtualization module doesn't work in
  ncurses version
* Mon May 11 2009 ksrinivasan@novell.com
- Make the shim patches apply to both 32 bit and 64 bit platforms - fixed a
  32 bit compilation issue.
* Fri May  8 2009 jfehlig@novell.com
- bnc#491561 - rcxend status destroys network on a SLES on MS
    Hyper-V.  Updated xend init script.
* Fri May  8 2009 ksrinivasan@novell.com
- Make the shim patches apply to both 32 bit and 64 bit platforms.
* Mon Apr 27 2009 jfehlig@novell.com
- bnc#459836 - Fix rtc_timeoffset when localtime=0
  xend-timeoffset.patch
* Fri Apr 24 2009 carnold@novell.com
- Added menu and internal support for SLE11 guests.
- Updated vm-install with bug fixes from SLE11.
* Wed Apr 22 2009 ro@suse.de
- remove ia64 from ExclusiveArch (until it builds)
* Tue Apr 14 2009 jfehlig@novell.com
- Added xend-domain-lock.patch implementing FATE #303525 and
  fixing bnc#239788.
* Wed Apr  1 2009 brogers@novell.com
- bnc#447178 - xm dump-core does not work for cross-bitness guest.
  cross-bit-coredumping.patch
* Tue Mar 31 2009 carnold@novell.com
- bnc#490830 - VTd errata on Cantiga chipset
  19230-vtd-mobile-series4-chipset.patch
* Fri Mar 13 2009 carnold@novell.com
- bnc#412642 - vm-install: XEN full virtualization of NetWare 6.5
  SP6 not possible
  vm-install-0.2.8.tar.bz2
* Wed Mar 11 2009 carnold@novell.com
- bnc#483429 - Xen PCIe Pass through for QLogic Corp. ISP2532-based
  8Gb Fibre Channel Adapter fails.
  16875-vtd-flr.patch
* Tue Mar  3 2009 jfehlig@novell.com
- bnc#436629 - Use global vnc-listen setting specified in xend
  configuration file.
  xend-vnclisten.patch
* Thu Feb 26 2009 carnold@novell.com
- bnc#474822 - L3: Win2003 i386 XEN VM can see only 2 TB with a
  4TB LUN.
  int13_hardisk-64bit-lba.patch
* Wed Feb 18 2009 carnold@novell.com
- bnc#423024 - Guest OS hang on SLES10.2 X86_64 Xen when SVC node
  reset.
  qemu-dm-segfault.patch
* Thu Feb  5 2009 carnold@novell.com
- bnc#470949 - user mode application may crash kernel
  17845-x86-reduce-shadow-flags.patch
  19088-x86-page-non-atomic-owner.patch
  19089-x86_64-widen-page-refcounts.patch
  19135-x86_64-sh-next-shadow.patch
  x86_64-page-info-pack.patch
* Thu Jan 29 2009 carnold@novell.com
- bnc#446785 - save/restore of SLES HVM guests freezes the VMs
- bnc#420284 - Live-migration will fail if hvm guest uses PV VBD
  driver.
* Thu Jan 22 2009 plc@novell.com
- bnc#447257 - L3: 3.2 Xen vgabios size reduction to fix PXE boot
  bnc#427477 - L3: running "edit" on Windows 2008 32 bit
  xen-vgabios-shrink.patch
* Fri Jan  9 2009 brieske@novell.com
- bnc 429637 smbios changes for greater than 32G support
  18443-smbios-large-mem.patch - slightly different than upstream
* Tue Dec 23 2008 jfehlig@novell.com
- bnc#379032 and bnc#404014 - Fix loop device leak in domUloader
* Wed Dec 17 2008 carnold@novell.com
- bnc#433888 - TP-L3: panic at init 0
  schedular-offlined-cpus-race-fix.patch
  18800-s5-vcpu-freeze-fix.patch
* Wed Dec 10 2008 plc@novell.com
- bnc#447257 - adjust rom memory map for larger vga bios caused
  by 17967-vgabios-fix.patch below.
  17692-vgabios-fix.patch
  xen-ioemu-bios-reorg.patch
* Wed Dec 10 2008 jfehlig@novell.com
- bnc#404014 - Fix memory leak in libxenguest during domain
  creation
  libxc-zlib-memleak.patch
* Tue Dec  9 2008 carnold@novell.com
- bnc#426143 - xen live migration timer problem
  migrate-timer-shift-fix.patch, James Song patch
- bnc#378705 - Xen VMs on NFS regularly go corrupt.
  nfs-corruption-fix.patch, James Song patch
* Mon Nov 24 2008 carnold@novell.com
- bnc#448399 - Windows Vista VMs are routinely running out of disk
  space
  vm-install-0.2.6.tar.bz2
* Mon Nov 24 2008 carnold@novell.com
- bnc#429904 - XEN performance issues in X2000 development
  18777-vcpuop_hypercalls.patch
* Mon Nov 24 2008 carnold@novell.com
- bnc#442535 - SLES10 FV guest will lock up when pv drivers are enabled
  pvdrv-save-restore.patch
* Wed Nov  5 2008 carnold@novell.com
- bnc#437609 - late lapic interrupts for hvm guest.
  18729-apic-timer-deadline.patch
* Fri Oct 31 2008 plc@novell.com
- bnc#436572 - XEND, add persitence for ioport and irq attributes
  xend-ioport-irq.patch
* Tue Oct 21 2008 carnold@novell.com
- bnc#432024 - Guest OS hang on SLES10.2 X86_64 Xen when SVC node
  reset.
  16986-map-cache-fix.patch
* Mon Oct  6 2008 carnold@novell.com
- bnc#427477 - L3: running "edit" on Windows 2008 32 bit and
  hitting ignore crashes the GUI.
  17967-vgabios-fix.patch
* Wed Sep 17 2008 carnold@novell.com
- bnc#259207 - vm-install does not write maxmem parameter into the
  configuration file.  vm-install-0.2.6.tar.bz2
* Mon Sep 15 2008 jfehlig@novell.com
- bnc#421941 - Added ocfs2 to Should-Start in xendomains init
  script
* Mon Sep  8 2008 carnold@novell.com
- vm-install: Add 'coredump-destroy' and 'coredump-restart' actions
  for crashed domains.  vm-install-0.2.5.tar.bz2
* Tue Sep  2 2008 carnold@novell.com
- bnc#417417 - 4-node x3950 M2 w/1TB hangs when booting SLES10 SP2
  64bit Xen.
  18111-x86-xenheap-alloc-bitmap.patch
  18142-x86emul-no-writeback.patch
* Thu Aug 28 2008 carnold@novell.com
- bnc#420225 - L3: 64-bit Windows Server VM will not boot if a
  memory change is made to the VM.
  max-mapped-pfn-fix.patch
* Thu Aug 14 2008 carnold@novell.com
- bnc#414899 - vm-install erroneously reports installation error
  when using qcow
* Wed Aug 13 2008 brogers@novell.com
- bnc#412600 - VM restore fails for certain memory sizes
* Mon Aug 11 2008 brogers@novell.com
- bnc#411120 - Cannot install NetWare 65 SP7 from iso file
* Mon Aug 11 2008 carnold@novell.com
- bnc#416130 - Lacking of MTRR virtualization for EPT
* Fri Aug  1 2008 plc@novell.com
- bnc#373781 - Fixed variable typo in xen-domUloader.diff. Was tpy,
  should of been typ.
* Mon Jul 28 2008 jfehlig@novell.com
- Add upstream changeset 18140, which prevents potential double
  destroy of VMMetrics object that was introduced by changeset
  18030.
* Tue Jul 15 2008 carnold@novell.com
- bnc#409278 ‑ Only destroy managed domain VMMetrics object when
  domain is deleted.
  18064-xend-vmmetrics-delete.patch
* Mon Jul 14 2008 carnold@novell.com
- Added default smbios settings for WHQL certification.
  xen-hvmloader-smbios-def-parm.diff
* Mon Jul 14 2008 carnold@novell.com
- bnc#394587 - Handle unspecified time_mode domain platform
  parameter.
  16764-timer-mode.patch
* Mon Jul 14 2008 carnold@novell.com
- bnc#381140 - Save/restore EPT guest running memtest86 fails.
  17849-ept-save-restore.patch
* Thu Jul 10 2008 jfehlig@novell.com
- bnc#404014 - Fix memory leak in xend
  18030-xend-memleak.patch
* Tue Jul  1 2008 plc@novell.com
- bnc#397174 - Limit qemu xen_console buffering to configured
  17920-qemu-xenconsole-limit.patch
* Fri Jun 13 2008 carnold@novell.com
- Intel hap parameter fix.
  hap_param.diff
- AMD windows bsod fix.
  amd-svm-bsod-fix.patch
* Fri May 30 2008 carnold@novell.com
- Fix AMD problem with hap disabled.
  17233-hap-enabled-supported-fix.patch
* Thu May 29 2008 jfehlig@novell.com
- bnc#389076 - network-bridge script support for "netdev=vlanX".
* Tue May 27 2008 plc@novell.com
- bnc#381368 - boot qcow image fix.
* Tue May 27 2008 carnold@novell.com
- AMD support for 2 meg nested page table pages.
  amd_npt_2m_super_page.patch
* Fri May 16 2008 carnold@novell.com
- bnc#390985 - xm man page needs FIXME sections to be fixed
  xen-fixme-doc.diff
* Tue May 13 2008 carnold@novell.com
- bnc#375322 - L3:timer went backwards
  x86-domain-shutdown-latency.patch
* Sat May 10 2008 plc@novell.com
- bnc#385586 - VNC window size too small
  xen-vnc-resize.patch
* Sat May 10 2008 plc@novell.com
- bnc#384277 - PVFB security hole
  xen-pvfb-security.patch
* Sat May 10 2008 plc@novell.com
- bnc#388969 - Shift tab traversal does not work
  xen-shift-key.patch
* Thu May  8 2008 carnold@novell.com
- bnc#363671 - vm-install: problems with i386 hvm.  virt-manager
  contains most of this fix.  vm-install-0.2.3.tar.bz2
* Tue May  6 2008 carnold@novell.com
- bnc#381368 - Starting guests with qcow images fails.
  17133-expandable-storage-backends.patch
  17177-qcow-segfault-fix.patch
* Tue May  6 2008 carnold@novell.com
- Fix reboot issues.
  Fix rtl8139 emulation for reboot of 64-bit Windows VMs.
  17420-rtl8139-emulation-fix.patch
  On CPU shutdown, clear pending FPU exceptions.
  17181-clear-fpu-exceptions.patch
* Tue May  6 2008 carnold@novell.com
- bnc#368061 - HVM needs a config switch to enable EPT per domain
  16931-hvm-hap-param.patch
  16933-hvm-hap-fix.patch
  16939-hvm-hap-fix.patch
  17190-remove-hap-boot-param.patch
  17191-remove-hap-boot-param-doc.patch
- bnc#370209 - On Nehalem "hap" has to be used to boot hvm guests
  vpid-shadow-fix.patch
- bnc#368074 - Xen changes for NUMA system.
  17124-numa-free-memory-size.patch
  17131-numa-set-vcpu-affinity.patch
* Mon May  5 2008 carnold@novell.com
- bnc#382625 - vm-install error: maximum recursion depth exceeded
  in cmp.  vm-install-0.2.3.tar.bz2
* Mon May  5 2008 carnold@novell.com
- bnc#385210 - HVM guests crash on Nehalem system
  ept-supported-fix.patch
* Thu Apr 24 2008 carnold@novell.com
- bnc#366855 - vm-install in xen-tools has translation errors for
  Japanese.
* Wed Apr 23 2008 carnold@novell.com
- bnc#381429 - disabling HAP causes enlightened Windows 2008
  installs to fail.
* Tue Apr 22 2008 carnold@novell.com
- bnc#382116 - Fix localtime calculation.
* Mon Apr 21 2008 jfehlig@novell.com
- bnc#381130 Include kernel and ramdisk as possible options to
  domUloader.
* Fri Apr 18 2008 carnold@novell.com
- bnc#380658 - VT-D and 32bit PV drivers don't work on RC1/RC2.
* Thu Apr 17 2008 plc@novell.com
- bnc#379984 Send scancode prefix 0xe0 for alt-gr and
  ctrl-r keys.
* Wed Apr 16 2008 carnold@novell.com
- fate#303635 - XEN: Enable 64 CPUs in 64bit Hypervisor.
* Tue Apr  8 2008 carnold@novell.com
- bnc#373558 - Xen kernel in SLES10 SP2 failing to power down
  x3200 M2.
* Tue Apr  8 2008 carnold@novell.com
- Updated language (*.po) files for vm-install.
* Mon Apr  7 2008 jfehlig@novell.com
- bnc#342182, bnc#303605, bnc#262198
  Revert fixes for restricting only pv or emulated network devices.
  Users can specify 'type=netfront' to get only pv network device.
  If 'type=' is not specified or 'type=ioemu', both pv and emulated
  devices will be presented.
* Fri Apr  4 2008 plc@novell.com
- bnc#376470
  Special case non shiftable escape key so that shift keys stay
  down
* Thu Apr  3 2008 jfehlig@novell.com
- bnc#342182, bnc#303605, bnc#262198
  Ensure emulated or pv network device (not both) is presented to
  guest as specified by vif setting in guest config file.
* Wed Apr  2 2008 jfehlig@novell.com
- bnc#375606
  Record bridge creation in /dev/shm/sysconfig/xenbridges
* Tue Apr  1 2008 carnold@novell.com
- bnc#365363 - FV SLES 10 SP2 guest crashes when using iscsi:
* Fri Mar 28 2008 jfehlig@novell.com
- bnc#368851, bnc#374594 - Revert network-multinet and use
  patched network-bridge instead.
* Fri Mar 28 2008 carnold@novell.com
- bnc#287385 - [LH]Blue Screen when using two processors
- bnc#357435 - installation of Longhorn multi-proc blue-screens
- bnc#369252 - Seeing problems with rebooting Windows 2008 VM's
- bnc#370115 - 32 bit Windows 2008 SMP to UP
- bnc#370622 - Windows Server 2008 SMP crashes when running IOZone
* Wed Mar 26 2008 jfehlig@novell.com
- Low risk fix for xentop batch mode - bnc#370848
* Tue Mar 25 2008 plc@novell.com
- bnc#367405 - Read VM config keymap value, overides platform
  value if set
* Wed Mar 19 2008 carnold@novell.com
- bnc#370834 - Booting guest with binding a USB device via vt-d
  causes host to crash
* Wed Mar 19 2008 carnold@novell.com
- bnc#372404 - Bad Pointer returned in INT 13/fn 48h BIOS call
  return buffer
* Mon Mar 17 2008 carnold@novell.com
- bnc#370827 - Live migration on EPT hardware using 32pae host will
  fail.
* Fri Mar 14 2008 jfehlig@novell.com
- Added python-openssl dependency in xen-tools.  bnc#353464
* Wed Mar 12 2008 jfehlig@novell.com
- Increased dom0-min-mem value to 512Mb in xend-config.sxp
  bnc#370007
* Tue Mar 11 2008 carnold@novell.com
- bnc#368278 - Disable the "New" button while already doing an
  install from virt-manager.
* Mon Mar 10 2008 jfehlig@novell.com
- Fixed initialization of default VM config values when creating
  VMs through Xen API.  bnc#368273
* Mon Mar 10 2008 jfehlig@novell.com
- Removed unused/untested xend-relocation script.
* Fri Mar  7 2008 jfehlig@novell.com
- Set device model when creating pvfb consoles via XenAPI.
  bnc#367851
* Fri Mar  7 2008 jfehlig@novell.com
- Ensure dhcpcd is activated, if appropriate, on bridges created
  by network-multinet.  bnc#364633
* Mon Mar  3 2008 carnold@novell.com
- pv-driver-build.patch - Fix error building unmodified drivers.
* Fri Feb 29 2008 carnold@novell.com
- bnc#357966 - VT-D dosen't work for HVM guest.
* Fri Feb 29 2008 plc@novell.com
- Send UNIT_ATTENTION when CD drive has newly inserted media and
  becomes ready.  Bug 365386
* Thu Feb 28 2008 jfehlig@novell.com
- Updated block-iscsi script and xen-domUloader patch, bnc #365385
* Thu Feb 28 2008 carnold@novell.com
- Add support for Intel EPT / VPID.
* Tue Feb 26 2008 carnold@novell.com
- bnc#362415 - SLE-based installs 32-bit fully-virtualized have
  network problems during installs.
- bnc#358244 - Time remaining does not change properly for FV SLES10
  SP2 guest.
- bnc#363053 - Install remaining time always shows 2:00:00
* Tue Feb 26 2008 carnold@novell.com
- bnc#359457 - Xen full virt has data integrity issue.
* Tue Feb 26 2008 plc@novell.com
- Tranlate colors from 32 bit to 16 bit when viewing a 32 bit PV
  VM from a 16 bit client.  Bug #351470
  Also includes upstream mouse queue patch.
* Fri Feb 22 2008 jfehlig@novell.com
- Added PAM configuration files for remote authentication via
  Xen API.  bnc #353464
* Tue Feb 19 2008 carnold@novell.com
- Fix PV drivers for HVM guests.
* Fri Feb 15 2008 carnold@novell.com
- Support for pxe booting fully virtualized guests in vm-install is
  complete.
* Thu Feb 14 2008 carnold@novell.com
- Added upstream changesets that fix various bugs.
  16859 16929 16930 16945 16947 16962 16976 16980 16995 16998 17036
* Wed Feb 13 2008 jfehlig@novell.com
- Updated network-multinet
  - Simplify bridge creation
  - Create traditional bridge and hostonly networks by default
* Fri Feb  8 2008 jfehlig@novell.com
- Added upstream changesets 16932, 16965, 16977, and 16988 to fix
  various bugs in tool stack
- Also added upstream changeset 16989 to complete fate #302941.
* Mon Feb  4 2008 plc@novell.com
- Replaced xen-blktab-subtype-strip.patch with official upstream
  changeset for bug 353065.
* Thu Jan 31 2008 jfehlig@novell.com
- Removed loading of netloop module in xend init script as it is
  no longer needed in Xen 3.2
- Update network-multinet to account for absence of netloop
* Thu Jan 31 2008 plc@novell.com
- Added upstream changeset to fix bug 353065
* Tue Jan 29 2008 carnold@novell.com
- Fixes for the following bugs.
  - 355576 353739 349280 346602 336779
* Tue Jan 29 2008 jfehlig@novell.com
- Added upstream changesets that fix various bugs
  - 16777, 16873, 16877, 16883, 16884, 16885, 16886, 16890
* Thu Jan 24 2008 jfehlig@novell.com
- Added graphviz to BuildRequires in order to build Xen API
  documentation.
* Mon Jan 21 2008 ro@suse.de
- added directories to filelist (/usr/share/locale/si)
  with proper defattr
* Fri Jan 18 2008 carnold@novell.com
- Update to Xen 3.2 FCS release, changeset 16718
- Update vm-install to 0.2.3
* Wed Jan 16 2008 jfehlig@novell.com
- Updated network-multinet scripts
  - Updated network-multinet, multinet-common.sh, and sysconfig.xend
  - Added drop directories in /etc/xen/scripts/multinet.d
  - Added /usr/sbin/xend-network script to support adding,
    modifying, and deleting virtual networks without need to
    restart network-multinet
* Wed Jan 16 2008 jfehlig@novell.com
- Added upstream patch 16716 removing hardcoded xend version,
  preventing it from being exposed through xend interfaces.
* Wed Jan 16 2008 jfehlig@novell.com
- Added directory /var/lib/xen/dump for crash dumps and patched
  xend to write dumps to this location when enabling dumps in
  xend-config.sxp.  FATE 302941
* Tue Jan 15 2008 carnold@novell.com
- Update to release candidate 6, changeset 16712
* Fri Jan 11 2008 carnold@novell.com
- Update to release candidate 5, changeset 16701
* Wed Jan  9 2008 jfehlig@novell.com
- FATE 302596.  Improve error messages associated with malformed
  domU configuration.
* Thu Jan  3 2008 jfehlig@novell.com
- Fixed integration of xend/domUloader/block-iscsi
* Wed Jan  2 2008 carnold@novell.com
- Update to release candidate 4, changeset 16678
* Wed Jan  2 2008 carnold@novell.com
- Update vm-install to 0.2.2
* Fri Dec 28 2007 jfehlig@novell.com
- Made network-multinet the default network script in
  xend-config.sxp
* Fri Dec 21 2007 carnold@novell.com
- Update to release candidate 3, changeset 16656
* Thu Dec 20 2007 plc@novell.com
- Defect 325806, support dynamic res change of PV framebuffer
* Mon Dec 17 2007 jfehlig@novell.com
- Updated networking scripts
  + network-multinet
  + multinet-common.sh
- Added networking helper script xen-dhcpd
* Thu Nov 29 2007 carnold@suse.de
- Update to changeset 16490
* Tue Nov 27 2007 carnold@novell.com
- Additional fixes to build the KMPs.
* Mon Nov 26 2007 carnold@novell.com
- Enable building the kmp's
* Wed Nov 21 2007 jfehlig@novell.com
- Added useful utility script xend-relocation.  This script is used
  to enable or disable the VM relocation (migration) feature of xend.
  It can be used to manage the local instance of xend or both the
  local instance and instances of xend on the other machines to/from
  which VMs can be relocated.
* Wed Nov 21 2007 jfehlig@novell.com
- Updated networking scripts for SP2.
  - Updated network-multinet
  - Updated sysconfig.xend
  - Added new file multinet-common.sh
  - Made network-multinet the default network script in
    xend-config.sxp
* Mon Nov  5 2007 carnold@novell.com
- #338108: VUL-0: Xen security issues in SLE10
* Wed Oct 24 2007 carnold@novell.com
- #334445: xenbaked: Fix security vulnerability CVE-2007-3919.
* Tue Oct 23 2007 carnold@novell.com
- #334933: vm-install: SLES 9 virtualization mode should default to
  paravirtualization.
- #332965: xm manpage not correct for block-attach.
- #289569: Modify network-bridge to handle vlan
* Tue Oct 16 2007 carnold@novell.com
- #306415: Xen live migration fails.
- Added patches to support features in AMD Barcelona processors.
* Mon Oct  8 2007 ccoffing@novell.com
- #296928: mac address not set when creating VM from existing disk
* Thu Oct  4 2007 ro@suse.de
- fix build by adding gnttab-dma.h to the tree
  (xen-gnttab-buildfix.patch)
* Thu Oct  4 2007 ccoffing@novell.com
- #330406: Fix handling of user's extra_args
* Tue Oct  2 2007 ccoffing@novell.com
- #286859: Fix booting from SAN
* Thu Sep  6 2007 ccoffing@novell.com
- #305747: Fix bootstrapping of paravirtual SLES 9 SP4
- #306383: Fix unreadable linuxrc screen in paravirtual SLES 9 SP4
- VMX memory-mapped local APIC access optimization from Intel.
  Partial fix for performance bugs #260154, #274370, #264305, ...
* Fri Aug 24 2007 jfehlig@novell.com
- More fixes for #186696.  Cleanup of destroyDevice code path based
  on upstream c/s 15689.
* Fri Aug 24 2007 ccoffing@novell.com
- #186696: Fix booting of PV from iSCSI
* Thu Aug 23 2007 jfehlig@novell.com
- Added upstream c/s 14598 to support auto start/stop of domUs when
  dom0 (xend) is started.  Bug #304041
* Wed Aug 22 2007 ccoffing@novell.com
- #242953: Fix "disk isn't accessible" when booting with blktap
* Tue Aug 14 2007 ccoffing@novell.com
- #299737: xenmon.py in xen-tools requires python-curses
- #300757: vm-install: Option for Windows XP/2003 (x64) not offered
- #296083: vm-install: If vncviewer is not found, prompt user but don't fail
- #278190: vm-install: Adjust max memory to always be >= initial memory
- #296758: vm-install: Call update() before getting spinbox value
* Thu Aug  9 2007 carnold@novell.com
- #289275 - L3: domu will not reboot if pci= is passed in at boot time
* Thu Aug  9 2007 ccoffing@novell.com
- #298177: Do not enable NX if CPU/BIOS does not support it
* Tue Aug  7 2007 ccoffing@novell.com
- #289569: Modify network-bridge to handle vlan
- #260504: vm-install: Read disks and NICs from XML
- #261508: vm-install: Check for disk conflicts before adding to disk list
- #263601: vm-install: Support 'sparse' flag from CLI
- #271697: vm-install: Accept period in VM's name
- #278915: vm-install: Failed to find PV kernel if first disk was unpartitioned
- #279153: vm-install: Support disks on iscsi/qcow/nbd/file/phy/...
- #281022: vm-install: Usability; hide progress window
- #283425: vm-install: Support RedHat kickstart
- #283546: vm-install: Change non-debug log level to WARN
- #286887: vm-install: Failed if PATH does not include /sbin and /usr/sbin
- #289581: vm-install: Support info files for --os-settings for SUSE
* Tue Jul 31 2007 jfehlig@novell.com
- Various bug fixes for next update of SP1
  + Bug #293130: Orphaned xen-vncfb when vm fails to start.  Required
    upstream changesets 14208 and 14926 to fix.
  + Bug #289421: Duplicate UUIDs.  Upstream changeset 15642.
* Mon Jul 23 2007 ccoffing@novell.com
- Fix honoring --dry-run bootloader flag. (#290889)
* Tue Jul 17 2007 ccoffing@novell.com
- Fix network data corruption on Win2003 with rtl8139. (#254646)
* Mon Jul 16 2007 plc@novell.com
- hvm: Close all CD-ROM file descriptors when CD-ROM device event
  is received (#270374)
- hvm: Fix 'console is currently unavailable' (#279560)
* Fri Jun 15 2007 carnold@novell.com
- Xen fails to create VM due to "out of memory" errors. (#280637)
* Thu Jun 14 2007 carnold@novell.com
- Syntax in man page for `xm block attach` is incorrect. (#283567)
* Thu Jun 14 2007 ksrinivasan@novell.com
- Checked in the patches to implement the Novell Shim (currently disabled).
- ns_tools.patch: Adds a new parameter to the hvm guest configuration to specify
  the hypervisor extension ID.
- ns_xen_base.patch: Implements the infrastructure for extending the hypervisor.
- ns_xen_extension.patch: Implements the shim to support Veridian APIs.
* Thu Jun 14 2007 carnold@novell.com
- Integrate block-npiv script into xen. (#279158)
* Wed May 30 2007 jfehlig@novell.com
- Various bug fixes for first update of SP1
  + Bug #243812: hvm localtime
  + Bug #266073: moving xend internal config files between
    filesystems
  + Bug #262805: xenstore growing so large as to cause dom0 swap
    thrashing
  + Bug #274932: vncdisplay not working for pv and hvm domains
* Wed May 23 2007 ccoffing@novell.com
- Include Kurt's updated block-iscsi.  (#251368)
- vm-install bug fixes:
  + #211342: better progress bar
  + #259994: disk size would reset when editing path
  + #247073: handle autoyast URLs
  + #254311: physical disks were showing as 0.0 GB
- Update init scripts.
- Move *.so to -devel.
* Fri May 18 2007 ccoffing@novell.com
- Device 0(vkbd) could not be connected.  (#275830, related to
  [#258818])
- Properly quote pathnames in domUloader to fix EVMS.  (#274484)
* Wed May 16 2007 ccoffing@novell.com
- Re-fix 'keymap'; was not getting set for newly created PV VMs.
  (#258818)
* Tue May 15 2007 ccoffing@novell.com
- Allow user to specify a default 'keymap' in xend's configuration
  file. (#258818 and 241149)
* Mon May 14 2007 plc@novell.com
- Added upstream python patches for keymap specification in
  PV config file. Added upstream ALTGR fix, sign extension fix
  and modified patch 323 so that upstream patches applied cleanly.
  (#258818)
* Fri May 11 2007 ccoffing@novell.com
- Jim's updated patch to honor localtime setting.  (#273430)
* Wed May  9 2007 ccoffing@novell.com
- Update .desktop with proper group.  (#258600)
* Wed May  9 2007 plc@novell.com
- International keyboard support for FV guests.
-  (#258818)
* Tue May  8 2007 ccoffing@novell.com
- Fix vm-install to work correctly when doing multiple simultaneous
  installs via virt-manager.  (#259917)
- Network connectivity fails in FV SLES 10 SP1; MAC address was
  being read incorrectly from xenstore by PV driver.  (#272351)
* Fri May  4 2007 ccoffing@novell.com
- For FV SLES 9, default apic=1 to allow x86_64 SLES 9 to boot.
  (#264183)
* Fri May  4 2007 carnold@novell.com
- Added security fixes for problems found Travis Orandy (#270621)
  CVE-2007-1320, CVE-2007-1321, CVE-2007-1322, CVE-2007-1323,
  CVE-2007-1366
* Thu May  3 2007 ccoffing@novell.com
- PV driver patches from KY.  These fixes are to properly address
  blocker bug #268152 (allowing PV drivers to be used in FV, but
  avoiding the "No hard disks were found" problem).
* Thu Apr 26 2007 carnold@novell.com
- General instability when running 32pae Dom0 on 64-bit hypervisor.
  (#259112)
- Remove disable_emulated_device.diff since it breaks FV SLES 10
  SP1 install. (#268152)
* Wed Apr 25 2007 ccoffing@novell.com
- Fix from Jan for the crashes on 64 bit.  (#258235, 259112,
  266558, 266631)
* Tue Apr 24 2007 jfehlig@novell.com
- Added patch xend_suppress_log.patch to suppress logging of useless
  "Listing domains in state foo" entry in xend.log.  Patch has been
  submitted upstream.  This can be related to any blocker bug, e.g.
  [#259112], as this message can fill xend.log and interfere with
  debugging efforts.
* Fri Apr 20 2007 ccoffing@novell.com
- Updated README. (#250705)
- Fix vm-install's detection of PV RHEL4/5 kernels. (#260983)
* Thu Apr 19 2007 ccoffing@novell.com
- Place xenstore-* tools in new xen-tools-domU package, to be used
  by suse_register.  (#249157)
* Tue Apr 17 2007 ccoffing@novell.com
- Update translations.
* Thu Apr 12 2007 ccoffing@novell.com
- Combine two xenstore reads into one transaction, which causes
  xenstored to not thrash so badly, and makes virt-manager more
  responsive and less likely to time out or lock up.  Partial fix
  for #237406.
- If disk is read-only, pass -r to losetup.  (#264158)
* Mon Apr  9 2007 carnold@novell.com
- Force PAE guests on PAE hv to a limit of 4Gig of memory.
  Bug #262534
* Mon Apr  9 2007 carnold@novell.com
- Nested Paging PAE hv - HVM guests fail to load. Bug #259434
* Thu Apr  5 2007 ccoffing@novell.com
- Update vm-install:
  + #260510: do not delete xml settings file
  + #260579: write correct vif line for PV NIC in FV VM
  + #261288: re-enable add disk buttons after deleting a disk
  + #192272, #222765, #250618:  Update OS list and their defaults
* Tue Apr  3 2007 jfehlig@novell.com
- Fixed xm list display of memory following a shutdown of VM.
  Based on upstream changeset 14424.  Bug #244057.
* Tue Apr  3 2007 ccoffing@novell.com
- Could not do simultaneous installs via virt-manager. (#259917)
* Tue Apr  3 2007 jfehlig@novell.com
- Console location property is not being exposed via Xen API when
  vm is initially created and launched - Bug #257622.
- Boot order is not being passed to qemu when defining HVM guest
  via CIM - Bug #260546
* Tue Apr  3 2007 carnold@novell.com
- XEN kernel will not boot on SLES10SP1 RC1(#260070).
* Mon Apr  2 2007 jfehlig@novell.com
- Fix improper handling of guest kernel arguments in domUloader.
  Bug #259810
* Mon Apr  2 2007 ccoffing@novell.com
- Update vm-install:
  + #259420: refresh available memory more often
  + #259972: cannot enter autoyast url
* Mon Apr  2 2007 ccoffing@novell.com
- Update translations for RC2.
* Fri Mar 30 2007 ccoffing@novell.com
- Revert bugfix for maxmem (#259207).  Xen does not properly
  handle large maxmem settings yet, causing VM to crash.
* Fri Mar 30 2007 jfehlig@novell.com
- Fix truncation of integers when converted to strings in
  libxenapi.  Only consumers of libxenapi are CIM providers so
  this is a low risk change.  Bug #259468
* Fri Mar 30 2007 ccoffing@novell.com
- Fix "cannot allocate memory" when starting VMs. (#229849, 258743)
- Fix hang of qcow2raw. (#258830)
- maxmem parameter was not written to VM config file. (#259207)
* Fri Mar 30 2007 carnold@novell.com
- Fix for AMD-V HVM Windows guest INT3 flood/windowing failure.
  Bug #258614
* Thu Mar 29 2007 jfehlig@novell.com
- Added support for specifying VIF model through Xen API.  The patch
  (xenapi_vif_model.patch) has been submitted upstream and affects
  Xen API only - so is low risk.  Bug #257624.
* Thu Mar 29 2007 ccoffing@novell.com
- Include changeset 14369 from Intel to fix Windows 2000 boot.
  (#237375)
- Fix quoting of args for child processes during VM install.
  (#258376)
- Fix retry logic in block hotplug script. (#257925)
* Wed Mar 28 2007 ccoffing@novell.com
- Updated vm-install's icon name.
- Updated translations.
* Fri Mar 23 2007 ccoffing@novell.com
- Disable aspects of qemu's console that can compromise security.
  (#256135)
- Fix xmclone.sh to work with managed domains. (#253988)
- Support keymap localisation for PVFB. (#234213)
- Pass 'boot' parameter to qemu-dm. (#254842)
- Fix boot problem on systems with SLIT table. (#256619)
* Wed Mar 21 2007 jfehlig@novell.com
- Clarified statements in xend-config.sxp that Xen-API server
  should not be relied upon.  Statements made it sound as though
  Xen should not be relied upon.  Bug #252688
* Tue Mar 20 2007 jfehlig@novell.com
- Added upstreqm patch 14341.  Also fixed issue in backport of
  upstream patch 13777.  Bug #253637
* Thu Mar 15 2007 ccoffing@novell.com
- Update vm-install:
  + #247980: Display more details on failure
  + #254655: Cap VM's starting memory to available memory
* Thu Mar 15 2007 carnold@novell.com
- #254703 Server reboots while attempting to install fully
  virtualized guest.
- Performance patch and fix for large memory issues (>64G).
* Wed Mar 14 2007 carnold@novell.com
- #242759:  Fix for losetup failure in the block script.
* Wed Mar 14 2007 carnold@novell.com
- Updated 32on64 fixes.
* Tue Mar 13 2007 ccoffing@novell.com
- Update vm-install:
  + #253743: vm-install-job was failing to query job status
  + #247849: Further fixes for NetWare factory install/configure mode
  + #241251: Fix bug in path concatenation for NFS/SMB
* Mon Mar 12 2007 carnold@novell.com
- Include all AMD patches for vista and longhorn support.
* Mon Mar 12 2007 carnold@novell.com
- Initialize code segment selectors in virtual IDT to 0.
* Fri Mar  9 2007 jfehlig@novell.com
- Added lame patch to handle showing suspended state via Xen API.
  The patch only affects Xen API and is thus low risk.
  Bug #237859
* Fri Mar  9 2007 carnold@novell.com
- Added AMD support for Vista 64 installation and boot.
* Fri Mar  9 2007 ccoffing@novell.com
- Make vm-install support NFS for SUSE (#241251).
* Fri Mar  9 2007 jfehlig@novell.com
- Fixed bug #250522
  + Upstream c/s 13557 stores model attribute of vif in xenstore.
* Thu Mar  8 2007 ccoffing@novell.com
- Update vm-install:
  + Better description on "Virtual Disk" drop-down (not "xvda")
  + Proper separation of recording options versus calculating
  defaults; fixes corner cases
  + #247849, #253013, 253009: Multiple fixes related to how disks
  are defined, centered around bug #247849 (handle partitioned
  PV installation disk)
  + #252437: Allow virtual CDROM to be added (via ISO) even if
  physical CDROM doesn't exist
* Wed Mar  7 2007 jfehlig@novell.com
- Fixed bug #252396
  + Added upstream c/s 14021.  Applies to Xen API c-bindings -
    low risk.
  + Added local patch to correctly set Xen API Console.protocol
    property
* Wed Mar  7 2007 jfehlig@novell.com
- Added upstream patch that fixes save/restore on 32pae guests.
  Upstream c/s 14150.  Bug #237859
* Tue Mar  6 2007 carnold@novell.com
- Remove a debug message which is spamming the logs during live
  migration.
* Mon Mar  5 2007 jfehlig@novell.com
- Fixed handling of vbd type in Xen API <-> sexpr integration.
  Bug #250351
  + Updated an existing patch (xend_disk_decorate_rm.patch) and
    then renamed patch to xend_vbd_type.patch to better reflect
    purpose of patch.
* Mon Mar  5 2007 ccoffing@novell.com
- Default apic=0 for SLES 8 and 9, for performance.  (#228133)
* Fri Mar  2 2007 carnold@novell.com
- Xen kernel crashes at domain creation time. Bug #248183.
  Fix mouse for win2k hvm guest.
* Fri Mar  2 2007 jfehlig@novell.com
- Incorrect values returned for actions_after_* in Xen API.  Added
  patch xend-actions-after.patch for fix.  Patch submitted upstream
  as well.  Bug #250870.
* Fri Mar  2 2007 ccoffing@novell.com
- Update vm-install:
  + Fixed possible "tree path exception" when editing disk
  + Fixed failure to properly refresh fields when editing disk
  + #248356: allow specifying bridge
* Fri Mar  2 2007 jfehlig@novell.com
- Add check for HVM domain in domain_save.  The check is
  performed in domain_suspend and should be included here as well.
* Thu Mar  1 2007 ccoffing@novell.com
- Update vm-install:
  + #250201: for linux PVFB, pass xencons=tty if graphics=none
  + #250016: honor non-sparse flag
* Thu Mar  1 2007 jfehlig@novell.com
- Fix exception caused by incorrect method name in xen-messages.diff.
  This is one of perhaps several problems with save/restore,
  bug #237859
* Thu Mar  1 2007 dpmerrill@novell.com
- Add xen-ioemu-hvm-pv-support.diff
  This patch allows for shutting down the IDE drive.
* Thu Mar  1 2007 jfehlig@novell.com
- Fix bug #243667
  + Updated domUloader to accept '--args' parameter.  The args
    provided as an option to --args are simply added to the sexpr
    returned by domUloader.  pygrub has similar behavior.
* Wed Feb 28 2007 ccoffing@novell.com
- Update vm-install:
  + #249013, #228113: default to realtek instead of pcnet
  + #249124: write os-type to config files
  + Updated translations
  + Setting os_type should implicitly set full_virt; fixes NIC
    model exceptions
  + Add "Add" button to Operating System Installation page, based
    on usability feedback
* Wed Feb 28 2007 jfehlig@novell.com
- Added changeset 13786 and 14022 from xen-unstable.  These
  changesets affect the Xen API C bindings only and are low risk.
  This is a continuation of support for FATE feature 110320.  ECO
  has been approved for late arrival of this feature.
* Mon Feb 26 2007 ccoffing@novell.com
- Update vm-install:
  + #244772: display error message in GUI if xen isn't running
  + #246049: better error message when OS==SUSE but ISO looks wrong
  + Fix printing of jobid when run with --background
* Wed Feb 21 2007 ccoffing@novell.com
- Don't allow "xm create" of running VM.  (#245253)
- Update vm-install:
  + Fix inability to use already-extracted SUSE kernel/initrds
  + Fix accumulation of 0-byte tmp files
  + #237063: close fds before running vncviewer
  + default apic=0 for Windows, due to performance
* Tue Feb 20 2007 carnold@novell.com
- Domain0 reboots after 2-6 hours of running guests. (#246160)
* Tue Feb 20 2007 ccoffing@novell.com
- Fix typo in xendomains.  (#246107)
- Fix order in which vm-install processes command-line arguments.
* Fri Feb 16 2007 jfehlig@novell.com
- Added changeset 13775 from xen-unstable.  This patch fixes
  the last known issue with the Xen API patchset backported
  from xen-unstable.
* Fri Feb 16 2007 jfehlig@novell.com
- Added c/s 13226 from xen-unstable.  It affects Xen API only.
- Added patch to remove ':disk' and 'tap:qcow' from stored domain
  config.  Fixes bug #237414 and helps with bug #242953.
* Thu Feb 15 2007 jfehlig@novell.com
- Backported Xen API functionality from xen-unstable to support
  hosting CIM providers.  This functionality is required for
  FATE feature 110320.  ECO has been approved.
  + Includes 19 changesets from xen-unstable.  Most are
    specific to Xen API.
  + Includes 1 patch that relaxes parsing of xml response
    in Xen API c-bindings.
* Thu Feb 15 2007 carnold@novell.com
- Added x86-nmi-inject.patch for NW debuging. (#245942)
* Thu Feb 15 2007 carnold@novell.com
- kernel panic in DomU while installing 32bit DomU on 64bit
  Dom0. (#244055) Patches 13630-domctl.patch,
  13903-domctl.patch and 13908-domctl.patch
- Updated patch pae-guest-linear-pgtable.patch
* Mon Feb 12 2007 ccoffing@novell.com
- Load xenblk at dom0 start to support bootstrapping from
  non-loopback devices.  (#242963, #186696)
- Update vm-install:
  + Update translations
  + Clean up exception error codes and sync man pages
  + Honor ordering of arguments (as claimed in man page)
  + #240984: properly detach vncviewer
  + #240387: default to absolute coordinate mouse for Windows
- Drop logging patch.  (#245150)
* Sun Feb 11 2007 ro@suse.de
- remove -fstack-protector from RPM_OPT_FLAGS for now
* Thu Feb  8 2007 ccoffing@novell.com
- Update vm-install:
  + Allow specifing disk (and disk size) vs. cdrom from CLI
  + Add missing -M/--max-memory parameter to CLI to match GUI
  + #241528: Display error if user selects FV OS but hw lacks VT
  + Move all consistency checks out of Options class, since CLI
    options may be processed in a "bad" order
  + Fix infinite loops when info is missing from background jobs
  + --background implies --no-auto-console
  + Don't let user close progress window
  + Fix bug in qemu slowness work-around, reported by Jan Albrecht
  + Do disk.validate() when clicking "OK" on disks page
  + #238959: Probe for removable media via /sys/block
  + Output VNC info for backgrounded job
  + Fix method of waiting for VM to exit when --no-autoconsole
  + #239582: Use extracted kernel-xen/initrd-xen if present
* Tue Feb  6 2007 ro@suse.de
- disable commented out buildreq for kernel for the moment
  to workaround endless rebuild
* Tue Feb  6 2007 ccoffing@novell.com
- xm-test should clean up xenstore better (#180138)
* Thu Feb  1 2007 ccoffing@novell.com
- Implement better job support for CIM (#241197)
- Temporary fix to allow PV VMs to reboot (#237414)
- Delete PYTHONOPTIMIZE for good; callers don't set it.
* Wed Jan 31 2007 ccoffing@novell.com
- Update xen-3.0.4 (changeset 13138); includes migration bugfix.
* Tue Jan 30 2007 ccoffing@novell.com
- Enable building KMP.
- Fix xendomains to work with managed domains. (#238781)
* Thu Jan 25 2007 ccoffing@novell.com
- Various bug fixes of 32on64, from Jan and Keir.
- Gerd's fix for domain builder with > 4 GB RAM (#233761)
- Update xen-vm-install:
  [#234331], #239007: CD/DVDs should always be marked read-only
  [#238458]: Work-around qemu slowness bug
  [#239196]: Support SLED
  [#239275]: Fix .desktop file
  [#240064]: Clean up VMs better after failed install
* Tue Jan 23 2007 ccoffing@novell.com
- Update xen-vm-install:
  [#237370]: Can now install 32pae SLES 10 on x86_64 hypervisor
  [#237396]: Be able to use an existing disk, bypass OS installation
  Fix handling of user's extra_args
- Patch from Jan to enable building PV drivers KMP for FV SUSE.
  Currently conditionalized.
- Drop unused patches xen-io-register-context.diff and
  xen-console.diff
* Sat Jan 20 2007 brogers@novell.com
- Fix handling of localtime config file parameter for PV guests
  (#234376)
* Fri Jan 19 2007 ccoffing@novell.com
- Update xen-vm-install (NIC UI work; do not require tcp port bz
  [#236517]; integrate with virt-manager)
* Wed Jan 17 2007 ccoffing@novell.com
- Update xen-vm-install (more disk UI work; support NetWare
  response files and licenses)
* Tue Jan 16 2007 ccoffing@novell.com
- Major fixes to xen-vm-install (adding disks in the UI now works,
  and fixed several CLI exceptions)
- Microcode does not need to be exactly 2048 bytes (changeset
  13079; Kurt)
* Fri Jan 12 2007 ccoffing@novell.com
- Include script to clone SLES 10 domU, from coolsolutions (fate
  [#301742])
- Updated patches from Gerd and Jan, including PAE > 4 gig fix,
  updated VGA console patch.
- Updated xen-vm-install with finalized strings and desktop file.
* Thu Jan 11 2007 ccoffing@novell.com
- Include xen-unstable patches for HVM save/restore and 32-on-64
  HVM.
- Update to xen-3.0.4-1 (changeset 13132).
* Wed Jan 10 2007 ccoffing@novell.com
- Update xen-vm-install and domUloader to support NetWare.
- Include AMD's nested page table patches.
* Mon Jan  8 2007 ccoffing@novell.com
- Update to xen-3.0.4 (changeset 13129).
- Fix from upstream for mis-emulation of x86-64 pop.
* Fri Jan  5 2007 carnold@novell.com
- Many patches from Jan Beulich and Gerd Hoffmann in support of
  32 on 64 pv guests.  These patches apply to both the hypervisor
  and the tools.
* Fri Dec 22 2006 ccoffing@novell.com
- Do not require authentication on XenAPI socket, since CIMOM does
  not support authentication.  Socket is only accessible to root.
* Wed Dec 20 2006 ccoffing@novell.com
- Update to xen-3.0.4 (changeset 13100).
- Update xen-vm-install tools.
- Include Jim's 2 xen-tools patches for CIM provider issues.
* Mon Dec 18 2006 ccoffing@novell.com
- Update to xen-3.0.4-rc3 (changeset 13087).
- Fix line terminators in block-iscsi (#228864)
- Make domUloader work with blktap support in xend.
* Fri Dec 15 2006 ccoffing@novell.com
- Update to xen-3.0.4-rc2 (changeset 13067).
* Thu Dec 14 2006 ccoffing@novell.com
- Update to xen-3.0.4-rc1 (changeset 12901).
* Wed Dec 13 2006 brogers@novell.com
- Patch for loading bimodal PAE kernel to suuport NetWare
* Thu Dec  7 2006 ccoffing@novell.com
- Update to xen-unstable (changeset 12757).
- Enable LIBXENAPI_BINDINGS and XENFB_TOOLS.
- Enable unix domain socket for xend; needed by tools.
* Tue Dec  5 2006 ccoffing@novell.com
- Update to xen-unstable (changeset 12734; feature freeze for
  3.0.4)
- Make /etc/xen mode 0700 to protect vnc passwords.
* Mon Nov 27 2006 ccoffing@novell.com
- Fix how bootloader is called by the xend during restarts.
  (#223850)
* Wed Nov 22 2006 ccoffing@novell.com
- Series of patches from Jan to address selectors with non-zero-
  bases and other related issues in HVM. (#214568)
- Default pae=1, otherwise 64 bit HVM does not work at all.
  (#217160)
* Fri Nov 17 2006 ccoffing@novell.com
- Backport several HVM fixes. (#176171?)
* Thu Nov 16 2006 ccoffing@novell.com
- Fix some problems in the xen-hvm-default-bridge patch. (#219092)
- xmlrpc isn't 64-bit clean, causing xend to get exceptions when
  PFN is > 2 GB. (#220418)
* Mon Nov 13 2006 kallan@novell.com
- Backport changesets 11847, 11888, 1189[6-9], 119[00-18], 11974,
  1203[0-2], and 12205 from xen-unstable so that the PV drivers
  can compile on older kernels such as sles9 and rhel4
- Fix netfront.c to fail the probe if it is called for an ioemu
  type device.  This allows both PV and FV drivers to exist at
  same time in the FV guest.
* Thu Nov  9 2006 ccoffing@novell.com
- Add xen-vm-install.
- Default bridge correctly for HVM guests. (#219092)
* Wed Nov  8 2006 aj@suse.de
- Set correct permissions on man files.
* Tue Nov  7 2006 ccoffing@novell.com
- Update name of blktap.ko in xend init script. (#215384)
- Remove some extraneous bad chars in xm manpage. (#218440)
- Update logrotate.conf.
- Update spec file.
* Wed Nov  1 2006 kallan@novell.com
- Backport xen-unstable changesets 12040 to address spurious
  interrupts with PV drivers in HVM guests.
* Tue Oct 31 2006 ccoffing@novell.com
- Backport xen-unstable changesets 1184[1-3] to address SVM
  interrupt injection issues.  Replaces earlier (broken) patches.
* Mon Oct 30 2006 ccoffing@novell.com
- /var/lib/xen/images should not be world readable. (#214638)
- Update to xen-3.0.3-0 (changeset 11774; no code changes).
* Mon Oct 16 2006 ccoffing@novell.com
- Update to xen-3.0.3-testing changeset 11772 (rc5).
- Fix several possible type errors when running domUloader.
- Remove pygrub.  Was broken on reiserfs and never had ext2
  support, so it is useless. (#173384)
- First attempt at moving domUloader to blktap.  Still disabled
  due to block-detach failing.
* Fri Oct 13 2006 ccoffing@novell.com
- Update to xen-3.0.3-testing changeset 11760 (rc4).
* Tue Oct 10 2006 ccoffing@novell.com
- Update to xen-3.0.3-testing changeset 11740 (rc3).
- Fix crash on PAE when specifying dom0_mem=4096M. (#211399)
- Make xend.balloon aware of kernel's memory floor, to fix
  "Privileged domain did not balloon" errors. (#184727)
* Mon Oct  9 2006 ccoffing@novell.com
- Include AMD's interrupt injection fix.
* Wed Oct  4 2006 ccoffing@novell.com
- Imported keymap patch. (#203758)
- Account for minimum memory required by dom0 kernel. (#184727)
- Package /usr/include/xen/hvm/*.h
* Tue Oct  3 2006 ccoffing@novell.com
- Update to xen-3.0.3-testing changeset 11686.
* Tue Oct  3 2006 kallan@novell.com
- Updated README.SuSE to reflect the current method of handling
  Xen network-bridging when using SuSEfirewall2.  (#205092)
* Sat Sep 30 2006 aj@suse.de
- Cleanup BuildRequires.
* Thu Sep 28 2006 ccoffing@novell.com
- Only "eval" disks once in domUloader, to match current Xen.
* Wed Sep 27 2006 ccoffing@novell.com
- Switch to xen-3.0.3-testing tree; changeset 11633.
- Update (but disable) paravirtualized framebuffer patches.
* Tue Sep 26 2006 ccoffing@novell.com
- Update to xen-unstable changeset 11623.
- Fix domUloader typo introduced in last update.
- Build debug version of xen-pae.
* Mon Sep 25 2006 ccoffing@novell.com
- Update to xen-unstable changeset 11616.
* Tue Sep 12 2006 ccoffing@novell.com
- Update check_python script to identify Python 2.5 RCs as valid.
* Mon Sep 11 2006 ccoffing@novell.com
- Update to xen-unstable changeset 11440.
- xen-tools conflicts with qemu.  Do not package qemu.1 manpage.
  (#204758)
- Include Jan's updated patch for #192150 (to preserve register
  context when doing IO).
* Tue Sep  5 2006 ccoffing@novell.com
- Update block-nbd and xmexample.nbd, and add block-iscsi and
  xmexample.iscsi (from Kurt).
* Thu Aug 31 2006 ccoffing@novell.com
- Automatically create/destroy virtual frame buffer viewer.  Add
  "sdl=1" to config file of a paravirtualized VM to get the viewer.
- Log files have moved to /var/log/xen.
* Tue Aug 29 2006 ccoffing@novell.com
- xendomains does not actually save domains.  (#201349)
- Update to xen-unstable changeset 11299.
* Mon Aug 28 2006 ccoffing@novell.com
- Fix incorrect path on x86_64 for vncfb and sdlfb.
* Thu Aug 17 2006 ccoffing@novell.com
- Improve xendomains init script, to handle unset sysconfig vars.
- Import virtual framebuffer patches.
- Drop reboot patch; resync patches.
* Wed Aug 16 2006 ccoffing@novell.com
- Update to xen-unstable changeset 11134.
- Drop xen-reverse-10064.diff now that kernel is updated.
* Tue Aug  8 2006 ccoffing@novell.com
- Re-enabled patch for #184175.
- Update to xen-unstable changeset 10986.
- Include Jan's patch to preserve register context when doing
  IO.  (#192150)
* Fri Jul 28 2006 ccoffing@novell.com
- Add support to domUloader for "xm create --dry-run".  Based on
  patch from HP.
* Thu Jul 27 2006 ccoffing@novell.com
- Add link for qemu-dm that is invariant across architectures, so
  that VM config files can be simple key/value pairs parsable by
  yast, and still be movable to another arch.  (#193854)
- Add loop.ko to rescue image created by mk-xen-rescue-img, and
  remove usbfs from image's /etc/fstab since USB isn't yet
  supported, to avoid errors during boot.  (#191627)
* Mon Jul 17 2006 ccoffing@novell.com
- Update to xen-unstable changeset 10712.
- Update domUloader and rcxend to work with blktap.
* Fri Jul 14 2006 ccoffing@novell.com
- When waiting for domains to shut down, must also wait for
  loopback devices to be torn down, otherwise higher-level tools
  may migrate a VM before the disk image is flushed.  (#185557)
- More updates to the README.
* Thu Jul 13 2006 kallan@novell.com
- Added for loop to retry the losetup -d in /etc/xen/scripts/block.
  It is possible for the losetup -d to fail if another process is
  examining the loopback devices e.g. losetup -a.  (#151105)
* Wed Jul 12 2006 ccoffing@novell.com
- Corrected and updated README.
* Mon Jul 10 2006 ccoffing@novell.com
- Add Jeff Mahoney's block-sync.diff, to give control of
  "losetup -y" to the user (and potentially yast).  Defaults to
  old async behavior.  (#190869)
* Thu Jul  6 2006 ccoffing@novell.com
- Update to xen-unstable tree.  Revert changeset 10064, to maintain
  backwards compatibility with SLES 10.
* Wed Jul  5 2006 ccoffing@novell.com
- Do not open migration port by default.  (#190170)
- Update patch for migration oops, to latest version in bug
  [#162865].
* Mon Jul  3 2006 okir@suse.de
- xen-losetup-sync.diff: use the new "losetup -y" option to force
  the loop device to use synchronous I/O (#189051)
* Fri Jun 30 2006 ccoffing@novell.com
- Increase balloon timeout value.  (#189815)
- Update to xen-3.0-testing tree, changeset 9762.
* Thu Jun 29 2006 ccoffing@novell.com
- Fix some loopback races in domUloader.  (#151105)
* Tue Jun 27 2006 ccoffing@novell.com
- Add "max_para_memory" and "max_hvm_memory" to output of "xm info"
  for bug #184727.
- Include Jan's patches for bug #184175.  Improves PAE guest
  support on HVM.
* Mon Jun 26 2006 ccoffing@novell.com
- Include patch from HP to fix a domU migration failure ("Kernel
  BUG at mm/mmap.c:1961").  Force L1/L2 page tables to be updated
  at the end, to avoid them from being dirtied and not transferred.
  (#162865)
* Fri Jun 23 2006 kallan@novell.com
- Updated xen-bonding.diff to enable bonding again after the latest
  patches to network-bridge etc. (#161888)
* Wed Jun 21 2006 ccoffing@novell.com
- Clean up the useless "Nothing to flush" messages, from 'ip addr
  flush', in /var/log/xen-hotplug.log
- Fix race condition in domUloader.py, when another process did
  losetup -d while domUloader was running.  This would result in
  the mount failing, and so the VM would fail to start.
* Tue Jun 20 2006 ccoffing@novell.com
- Revamp balloon.py to account for pages currently being
  scrubbed.  (#185135)
* Mon Jun 19 2006 ccoffing@novell.com
- Update to xen-3.0-testing tree, changeset 9749.
- DomUs are getting starved for CPU (up to 40 seconds was seen)
  when dom0 has a load.  This can cause pathological behavior, and
  can cause OCFS2 to fence (panic) the domain.  (#179368, #178884)
- Import Gerd's fix to network-bridge script for bug #161888.
* Wed Jun 14 2006 ccoffing@novell.com
- Pull out accidentally-included debugging code.
- Drop xenvers patch; this was for backwards compatibility for
  some early internal builds.
- Update from Jan on the console patch.  Not all graphics cards /
  drivers properly reflect the state in the register being tested.
  Improved the check, to prevent screen corruption.  (#161541)
* Tue Jun 13 2006 ccoffing@novell.com
- Resync with new tarball from xen-3.0-testing; changeset 9738.
* Mon Jun 12 2006 ccoffing@novell.com
- Drop BUILD_BUG_ON and pirq-shared patches.  Last week's pirq
  sharing patch from upstream (for bug #152892) makes these patches
  redundant.  Dropping these makes our shared_info structure match
  upstream again, which is needed for compatibility with other
  paravirtualized guests.
- Import changeset 9734 from xen-3.0-testing.  This fixes a hyper-
  call (used by the pcifront driver) to work on MP guests.  Without
  this, the pciback driver can hang on MP.  (#181467)
- Import changeset 9733 from xen-3.0-testing.  This patch is
  required to match the Linux kernel, since Linux always calls
  this operation from VCPU0 during secondary VCPU bringup.
  Without this, process run-time accounting on secondary CPUs is
  completely wrong.
- Updated README:  Documented work-around for bug #180058.
* Fri Jun  9 2006 ccoffing@novell.com
- Include Jan's patch: "IOPL is ignored for VM86 mode port
  accesses.  Fix Xen emulation to match native behaivour."  Fixes
  some X lockup issues.  (#179045)
- Include Keir's patch to allow reading from port 0x61, to avoid
  an X server lockup.  (#171087)
- Include xen-3.0-testing changeset 9726, which is needed to
  support the latest kernel-xen.  With this support, Linux will
  only trigger unhandled IRQ path if IRQ is not shared across
  multiple guests (another guest may have handled the interrupt).
  This is more upstream work that goes with bug #152892.
- Add versioning to the Requires lines, to guard against mixing
  binary incompatible versions.  (#183292)
- I accidentially dropped part of Clyde's fix for bug #162244.
  SMP support in HVM is working in xen-unstable, so upstream
  dropped the HT CPUID masking code, which we then inheirited.
  Re-add HT CPUID masking.  (#162244)
- Updated README:  VNC installations, known issues.
* Thu Jun  8 2006 ccoffing@novell.com
- Drop our XCHG patch for the equivalent upstream patch, to fix
  patch application order.  No code change.
* Wed Jun  7 2006 ccoffing@novell.com
- Updated README:  HVM issues/tips, CDROM tips, known issues.
- Add patch from Intel to decode LODS/STOS instructions to fix
  Windows installation.  Only affects HVM.  Xen changeset #9725
  consolidates this patch and xen-hvm-decode.diff; drop our 2 in
  favor of the consolidated upstream patch.  (#176717)
* Tue Jun  6 2006 ccoffing@novell.com
- Drop xen-8-way-bios patch, because it breaks Windows HVM
  installation.  The patch was only necessary when running SMP HVM
  with "acpi=0" on the kernel command line.  (#181974)
- Include two patches from xen-3.0-testing that change the
  interface between Xen and guests.  Including these now to help
  forward-compatibility:
  + 9709: Changes interface for accessing %%cr3 so that extra bits
    (>4GB) for PAE pgdirs are placed in low-order bits of %%cr3.
    Kernels without support for this will still run fine.
  + 9721: Use explicitly-sized types in the dom0_ops and privcmd
    structures.
- Fix ability to change ISOs images for HVM guest.  (#181895)
- Removed pointless whitespace changes from xen-removable.diff, for
  better maintainability.  Cut the patch size in half; no code
  changes.
* Mon Jun  5 2006 ccoffing@novell.com
- Include select patches from xen-3.0-testing:
  + 9698: Official fix for bug #159001.  Dropped our patch.
  + 9702: Fix MMU_NORMAL_PT_UPDATE when passed a page that is no
    longer of type page-table.
  + 9703: Modification to fix for bug #159001; ignore empty PTEs.
  + 9704: Fix for obvious typo in map_pages_to_xen: When replacing
    a pte, free the page table pointed to by the old entry, not the
    new entry.
  + 9705: Jan's previous signed-ness patch (c/s 9695) was changed
    when accepted upstream, which broke it; this changeset
    attempts to fix the breakage.
  + 9708: HVM: Fix a hang when doing an "xm destroy" of Windows VM.
  + 9717: HVM: Interrupts must be kept disabled when entering Xen
    for external interrupt processing.
* Fri Jun  2 2006 ccoffing@novell.com
- Include xen-3.0-testing changeset 9693.  This scales the
  ballooning timeout with the amount of memory being requested
  (necessary for large memory machines).  This is a more proper fix
  for Novell bug #175805, and addresses XenSource bug #650.
* Thu Jun  1 2006 ccoffing@novell.com
- Update the README, regarding how to make the mouse work properly
  with VNC in HVM.
- Update help text in mk-xen-rescue-img.
* Wed May 31 2006 ccoffing@novell.com
- Jan's backport of xen-unstable changesets 9517, 9518, and 9529.
  This allows Xen to boot on 4-node configurations without
  crashing.  (#150114)
- Include patch from Jun Nakajima at Intel to fix inability to
  start XWindows after creating HVM guest.  (#159001)
- Include select patches from xen-3.0-testing:
  + 9697: Fix infinite recursion loop in get_page_type() error path
- Include xen-unstable changeset 9967, to improve Summagraphics
  tablet emulation, to help mouse tracking in HVM.  (#167187)
- Include 3 patches from AMD to fix SMP support in HVM.  (#176171)
- Add CPUID masking patches from AMD and Intel for HVM.  This
  prevents the OS from seeing (and trying to use) various hardware
  features that are not supported within the VM.  (#180879)
* Fri May 26 2006 ccoffing@novell.com
- Fix deadlock between xm and qemu.  Qemu should not call xm;
  issue xc commands directly.  This deadlock was exposed when
  making qemu exit nicely and clean up.  (#176400)
- Include Gerd's update to his previous REP MOVS fix.  Calculating
  high_addr and low_addr is more complicated than previously
  thought, and the count was wrong.  (#165448).
- Drop previous patch that forcefully turns off Xen's console
  logging to avoid video corruption; instead use Jan's patch which
  only turns logging off when in graphical mode.  (#161541)
- Include Jan's patch to call machine_halt rather than inline
  assembly "hlt" when Xen crashes to sync display, disable watchdog
  timers, etc.
- Tweak the auto-ballooning patch to limit the VM itself to the
  requested amount of memory, don't include the overhead, as
  suggested by Intel.  Separate calls exist elsewhere to increase
  the max as needed.  (#149179)
- Include select patches from xen-3.0-testing:
  + 9688, 9696:  These remove some broken assembly string
    functions.  This is prep work from Jan for bug #160066.
  + 9695: Updates in the hypervisor to EDI and ESI could be
    incorrect, due to sign not being handled correctly.
* Fri May 19 2006 ccoffing@novell.com
- Update from Intel to previous patch to fix installation of HVM
  W2k.  Adds decoding for two more instructions.  (#176717)
- Updated the README.
- Included updated version of KY's patch to reserve some lowmem
  for PAE, to avoid kernel BUG() during boot.  The amounts of
  memory reserved at various physical memory sizes have been
  adjusted.  (#175124)
- Include Intel's patch for unchecked allocations in shadow*.c.
  (#149179)
* Thu May 18 2006 ccoffing@novell.com
- Include Intel's patch to fix installation of HVM W2k.  This patch
  adds decoding for 'xor' and 'and' instructions.  Without this,
  the VM crashes when W2k attempts to install network components.
  (#176717)
- While tidying xen-hvm-memory-check.diff for submission upstream,
  I noticed an error in the patch (such that low-memory while
  starting the HVM domain could still crash the physical machine.)
  Now all uses of iopm are protected by the check.  (#149179)
- Xen must always relinquish control of the VGA console once dom0
  has started.  Otherwise, it could be over-writing dom0's memory,
  causing screen or other memory corruption.  Admin can use
  "xm dmesg" to view Xen's log instead.  (#161541)
- First send a SIGTERM, rather than SIGKILL, to qemu to give it a
  chance to clean up.  This fixes both mouse and CD-ROM issues
  for fully virtualized VMs.  This is a work-around; Ross is
  still working on the proper fix.  (#176400, #171258, #176157)
- Include select patches from xen-3.0-testing:
  + 9682,9683: These patches only affect full virtualization on
    AMD.  Fixes register corruption, cleans up event injection,
    cleans up IO handling.
  + 9685,9686: This patch only affects full virtualization on
    Intel.  Fixes VM's segment base address, to avoid vmentry
    failure.  Also remove 32/64 differences in vmx reg store/load.
* Wed May 17 2006 ccoffing@novell.com
- When auto-ballooning domain 0's memory for a new HVM domain,
  all memory (including memory intended for overhead) was given
  to the VM itself.  So increasing the memory size calculations
  did not actually free up any more memory.  Now, treat the amount
  to balloon and the amount to give to the VM as separate values.
  (#149179)
* Tue May 16 2006 ccoffing@novell.com
- Include Gerd's fix for HVM emulation of REP MOVS when the copy
  spans a page.  If the direction flag was set, the emulation code
  broke.  This caused the VM to freeze when configuring firewall
  (#165448).
- Include KY's fix to default to reserving 16M of lowmem for PAE,
  to avoid hitting kernel BUG() during boot (#175124).
- Don Dugger's (Intel) fix for HVM screen corruption (#164573).
- Increase maximum time auto-ballooning will wait for domain 0 to
  respond, otherwise large VMs will fail to start from yast
  (#175805).
* Mon May 15 2006 ccoffing@novell.com
- Update memory size calculations when auto-ballooning for HVM
  to make more stable (#149179).
* Fri May 12 2006 ccoffing@novell.com
- Include select patches from xen-3.0-testing:
  + 9674: xc_ptrace: Fix reversed conditional, which broke single-
    stepping.
  + 9675: xc_ptrace: Fix out-of-bounds memory-access for FPU state.
  + 9678: Fix the performance issues of 2-level paging HVM guests
    on the PAE Xen.
- Update man pages.
* Wed May 10 2006 brogers@novell.com
- Fix loading of binary images which either require PAE or
  dynamically support running on both PAE hypervisor and non-PAE
  hypervisors. (#174080)
* Wed May 10 2006 carnold@novell.com
- Handle memory failure when staring fully virtualized
  guests to prevent reboot of the box (AMD) or
  hanging the box (VT) (#149179).
* Tue May  9 2006 ccoffing@novell.com
- Include select patches from xen-3.0-testing:
  + 9665: Fix pciif parsing for compatibility variable.
  + 9666: Fix HVM hang; was broken due to previous "hda lost
    interrupt" patch. (#169146)
  + 9667: Do not set GP fault in VMCS for VMX (no bug#; from Intel)
* Thu May  4 2006 cgriffin@novell.com
- Update xen-3.0-testing tree, changeset 9664:
  + Changesets 9663 and 9664 fix AMD fully virtualized
    guests causing the system to reboot when
    first starting up.  (#169855)
* Thu May  4 2006 cgriffin@novell.com
- With a Xen domain set up with a loop-mountable file as rootfs,
  the "xm start " invocation fails. The cause is a bug
  domUloader.py (#172586)
* Thu May  4 2006 rmaxfiel@novell.com
- Added the ability to 'attach' and 'detach' removable media
  devices to hvm guests.  Also made cdrom eject when the eject
  request comes from the hvm guest. (#159907)
- Fixed the loss of mouse when a SDL session ends with 'grab'
  in effect.  (#159001)
* Thu May  4 2006 cgriffin@novell.com
- Update xen-3.0-testing tree, changeset 9661:
  + Drop patches merged upstream
  + Took Kier's official patches for dropped patches most
    notably spurious interrupts (#152892)
- Took Intel's patch to fix screen corruption when
    resizing the screen of windows hvm guests (#164573)
* Wed May  3 2006 kallan@novell.com
- Added configuring network interfaces when using Xen bridging instructions
  to the README.SuSE file as requested by bug #171533.
* Mon May  1 2006 tthomas@novell.com
- Added message to xm save to indicate that save is not currently
  supported for fully virtualized guests. (#161661)
* Fri Apr 28 2006 ccoffing@novell.com
- Close fds before exec-ing vncviewer, so yast2-vm doesn't hang
  when viewing fully-virtualized console (#168392).
* Thu Apr 27 2006 ccoffing@novell.com
- Update xen-3.0-testing tree, changeset 9656:
  + Drop patches merged upstream.
  + Fix reboot on large SMP machines (IBM, no bug #).
- Integrate Jan's patches:
  + Spurious interrupt roundup (#152892).
* Mon Apr 24 2006 ccoffing@novell.com
- Integrate Jan's patches:
  + FXSR patch (#135677).
  + APIC option patch (work-around #150114).
  + Protect against hypervisor crash (#169143).
- Update xen-3.0-testing tree, changeset 9649:
  + Avoid spurious timer activations in hypervisor.
  + Fix xen command line parsing (lapic / nolapic parsing).
  + Fix inverted BUG_ON w.r.t. SiS APIC bug.
* Fri Apr 21 2006 ccoffing@novell.com
- Update to 3.0.2-2 (xen-3.0-testing tree, changeset 9640):
  + Fix for "hda lost interrupt" for PAE VMX.
  + Increase L2 PDE to 1 GB; allows x86_64 to boot larger dom0.
  + Fix for SVM booting 32pae-on-32pae.
- Drop upstream patches (SiS APIC bug, HTT, HVM interrupt race)
- Add Jan's port of spurious interrupt patch (#152892).
- Add /etc/xen/images link for convenience (#168070).
- Updated README.
* Thu Apr 20 2006 ccoffing@novell.com
- SiS APIC bug patch (Jan Beulich, #116485).
* Wed Apr 19 2006 ccoffing@novell.com
- Don't kill xenstored and xenconsoled when stopping xend.
  (#158562, #156261)
* Wed Apr 19 2006 ccoffing@novell.com
- Update to 3.0.2-2 (xen-3.0-testing tree, changeset 9629):
  + Fix for SMP IA32 VMX guest booting.
  + KY's SETMAXMEM fix.
* Wed Apr 19 2006 cgriffin@novell.com
- Removed HTT bit from cpuid and set logical processor count to 1.
  Also fixed logic problem in svm code where apic=0 was not
  handled (#162244).
* Wed Apr 19 2006 agruen@suse.de
- Create /boot symlinks in the %%install section instead of in
  %%post so that they will end up in the package file list.
* Tue Apr 18 2006 ccoffing@novell.com
- Add /etc/xen/vm to vm config file search path (#167208).
* Fri Apr 14 2006 kallan@novell.com
- Add support for bonding in network-bridge. (#161678).
* Fri Apr 14 2006 ccoffing@novell.com
- Update to 3.0.2-2 (xen-3.0-testing tree, changeset 9620):
  + Fixes stack corruption in libxs (XenSource #411).
* Thu Apr 13 2006 rmaxfiel@novell.com
- Fixed a problem in ioemu which exited when the cdrom line was
  found in the guest def file but the cd device contained no media.
  (#161210)
* Wed Apr 12 2006 ccoffing@novell.com
- Auto-balloon domain 0 for HVM domains (#149179).
- Update to 3.0.2-1 (xen-3.0-testing tree, changeset 9612):
  + Fixes xmlrpc issues.
  + Fixes several emulated instructions for HVM.
  + Fixes for x86_64 inline assembly.
* Tue Apr 11 2006 ccoffing@novell.com
- Fix "jitter" and race in dom0's memory target calculation, which
  could cause auto-ballooning to fail (#164714).
* Tue Apr 11 2006 brogers@novell.com
- Fix problem where localtime=1 results in zombie domains after
  they shutdown (#164960)
* Mon Apr 10 2006 ccoffing@novell.com
- Update to hg 9598 (xen-3.0-testing tree; 3.0.2-rc).  Discounting
  Linux changes and patches we already carry, this update contains:
  + Saner error handling in iret hypercall (x86/64).
  + Make root page table sanity check on restore more generic.
  + Additional sanity / compatability checks during guest build.
  + IO-APIC update hypercall fixes.
* Fri Apr  7 2006 ccoffing@novell.com
- Don't throw an exception if 'xm top' is run by non-root; print
  error message instead (#164224).
- Change localtime patch to account for daylight savings time
  (Bruce Rogers).
- Re-add patch to make tightvnc work.  It was accidentally dropped
  recently (#149556).
* Thu Apr  6 2006 ccoffing@novell.com
- Update to hg 9590 (xen-3.0-testing tree; 3.0.2-rc).
- Fix type error in localtime patch for para (Bruce Rogers).
- Fix default localtime for full (Bruce Rogers).
- Fix path in mk-xen-resue-img.sh (#163622).
- Update README (pathnames, yast2-vm descriptions, terminology).
* Mon Apr  3 2006 garloff@suse.de
- init script: Test for control_d in capabilities to determine dom0
  rather than privcmd.
- init script: Try loading netloop and backend modules.
- mk-xen-rescue-img.sh: Copy frontend drivers, remove stale files.
- example config files: provide commented out domUloader exmaples.
* Mon Apr  3 2006 ccoffing@novell.com
- Update to hg 9514 (xen-unstable tree; 3.0.2-rc).
- Fix for rebooting (Jan Beulich; #160064).
* Fri Mar 31 2006 ccoffing@novell.com
- Update to hg 9502 (xen-unstable tree; 3.0.2-rc).
- Update man page (#162402).
- xen-tools requires python-xml (#161712).
- Include localtime patch to support NetWare (Bruce Rogers).
* Thu Mar 30 2006 ccoffing@novell.com
- Update to hg 9481 (xen-unstable tree; 3.0.2-rc).
- Correctly default XAUTHORITY if it is not set.  This allows the
  GUI to come up for fully virtualized guests (was especially
  problematic when VM was started from YaST).  (#142472)
* Wed Mar 29 2006 ccoffing@novell.com
- Fixed reversed "Do I have enough memory?" test when creating
  new VMs (#156448).
* Tue Mar 28 2006 ccoffing@novell.com
- Pick up two critical fixes for AMD to fix full virtualization:
  c/s 9453 & c/s 9456.
* Thu Mar 23 2006 ccoffing@novell.com
- Update to hg 9434 (xen-unstable tree; 3.0.2-rc).
- Fix /etc/xen/scripts/block to properly check if devices can be
  shared.
- Default XENDOMAINS_AUTO_ONLY to true; previous setting
  contradicts yast2-vm's claim that only VM's marked auto will be
  auto-started.
* Mon Mar 20 2006 ccoffing@novell.com
- Update to hg 9329 (xen-unstable tree).
* Wed Mar 15 2006 ccoffing@novell.com
- Update to hg 9251 (xen-unstable tree).
- Update to latest versions of Intel's VNC patches:
  patch-vga-sse2-0314.l, patch-vnc_loop-0314.l,
  patch-vncmouse-0315.l
- Gather example files in /etc/xen/examples.
* Tue Mar 14 2006 rmaxfiel@novell.com
- Removed the intermediate sym-link between xen.gz and
  xen-<version>-<release>.gz.  Grub 0.97 XFS can not handle a
  double indirect to a file.  (#151792)
* Mon Mar 13 2006 garloff@suse.de
- Update README.SuSE: Document limits (mem, cpu hotplug, max_loop),
  more network troubleshooting, update security info.
- Be more tolerant against errors in ifdown/ifup to better coexist
  with non-std network setups (e.g. ifplugd/NetworkManager).
* Tue Mar  7 2006 ccoffing@novell.com
- Update to hg 9172 (xen-unstable tree).
- Create new xen-libs package, split from xen-tools (#154473).
- Update mk-xen-rescume-img and xmexample.rescue to work with
  current rescue image on CD (#152971).
- Include Kurt's patch to domUloader, to pass command line args.
- xendomains shouldn't try to migrate or save HVM domains, as this
  isn't supported and will stall the shutdown (#155265).
- Create empty /etc/xen/vm directory for YaST to place config files
  in, to avoid name collisions (#156322).
- Update and re-enable vga patch from Intel (Don Dugger).  VGA
  emul is faster and not corrupted.
- ifup is run to ensure IPs are assigned before rearranging for
  xen, but this can fail with ifplugd; this should not kill the
  whole script (Kirk Allan) (#154115).
- Make network-bridge script more robust, by checking /sys instead
  of grep-ing.
* Mon Mar  6 2006 ccoffing@novell.com
- Update to hg 9148 (xen-unstable tree).  Drop patches merged
  upstream.
- More README improvements (#154134).
- Fix "vncviewer=1" to bring up vncviewer (#149556).
* Mon Mar  6 2006 ccoffing@novell.com
- Fix build of hvmloader and vmxassist by removing external
  CFLAGS (XS changeset #9110).
- Fix build by forcing --prefix during installation of *.py.
* Wed Mar  1 2006 ccoffing@novell.com
- Update to hg 9029 (xen-unstable tree).  Adds support for HVM on
  64 bit hardware.
- Update vncmouse diff to 20060301 from Intel; compensates for lack
  of eager events in our LibVNCServer.
- Fix many bugs in lomount.
- Cap maximum value of "xm mem-set" for domain 0, based on size of
  dom0's page tables (#152667).
* Mon Feb 27 2006 ccoffing@novell.com
- Update to hg 9015 (xen-unstable tree).  More bug fixes.
- Update patch to better honor RPM_OPT_FLAGS.
- Updated README (#154134).
- Disable xen-vga-0213 patch; it speeds VGA updates but was
  corrupting the display.
- Change max mouse polling time from 1ms to 10ms to reduce CPU
  load (from Intel).
* Thu Feb 23 2006 ccoffing@novell.com
- Update to hg 8954 (xen-unstable tree).  More bug fixes.
- Don't use a dummy IP of 1.2.3.4 for NFS server when booting domU
  with DHCP.  Seems to hang x86_64 Linux.
- Remove unnecessary x86_64 patch.
- Fix auto-ballooning of dom0 memory for HVM domUs (XenSource bug
  521).
* Tue Feb 21 2006 ccoffing@novell.com
- Update to hg 8920 (xen-unstable tree).  Fixes instruction decode
  for fully virtualized guests, fixing booting from CDs.
- Integrate 3 patches from Intel, to improve VNC performance.
* Tue Feb 21 2006 ccoffing@novell.com
- Update to hg 8910 (xen-unstable tree).
  fixes 32 on 32, 32 pae on 32pae, 64 on 64, 32 on 64.
  critical HVM fixes, for fully virtualized guests.
* Fri Feb 17 2006 ccoffing@novell.com
- Update to hg 8870 (xen-unstable tree).  More HVM fixes.
- Remove duplicate balloon.free call.
- Add patch from Intel to fix dom0 crash on 64 bit SMP HVM.
* Thu Feb 16 2006 carnold@novell.com
- Update to hg 8858 (xen-unstable tree).
* Wed Feb 15 2006 ccoffing@novell.com
- Update to hg 8857 (xen-unstable tree).  Syncs hypervisor core
  with Linux 2.6.16, which may fix some ACPI issues.  Fixes HVM.
- Fix uninitialized variable in xc_load_bin (from Bruce Rogers).
- Auto-balloon dom0 for fully virtualized domains (#149179).
- xen-doc-html was missing image files.
* Mon Feb 13 2006 ccoffing@novell.com
- Update to hg 8830 (xen-unstable tree).
- Restore cs 8783/8792 to match kernel.
* Wed Feb  8 2006 ccoffing@novell.com
- Update to hg 8800 (xen-unstable tree).
- Update BuildRequires.
- Add "max-free-memory" to "xm info", to support yast2-vm (#147612)
- Insserv xendomains, to support yast2-vm.
- Fix exit code of "xend stop".
- Revert cs 8783/8792 to allow xenstore to start (until kernel
  catches up).
- Ensure eth0 aka veth0 really comes up in network-bridge.
* Sat Feb  4 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 27 2006 ccoffing@novell.com
- Update to hg 8728 (xen-unstable tree).
- Improve network-bridge:
  + Ensure netdev really is up, to fix STARTMODE="manual".
  + Stop ifplugd when doing ifdown, to fix STARTMODE="ifplugd".
  + Improve check for whether bridge already exists.
  + Improve defaults for netdev.
- Fix log rotate so xend moves to new log.
- xen-tools "Requires" python, et.al.; xen proper doesn't.
- Revamp mk-xen-rescue-img.sh (#118566).
- Revamp rcxendomains:  improved output, error checking, return
  values (#143754, #105677).
* Tue Jan 24 2006 ccoffing@novell.com
- Update to hg 8659 (xen-unstable tree).
* Mon Jan 23 2006 ccoffing@novell.com
- Correct return values and improve messages of init scripts.
* Fri Jan 20 2006 ccoffing@novell.com
- Use domUloader instead of pygrub.
* Thu Jan 19 2006 carnold@novell.com
- Build based on the xen-unstable.hg 8628
* Wed Jan 18 2006 carnold@novell.com
- Update to hg 8646 xen-unstable-hvm.hg tree.
* Fri Jan 13 2006 ccoffing@novell.com
- Allow version string "XEN_VER=3.0" instead of just
  "XEN_VER=xen-3.0" for backwards compatibility.
- Correctly set changeset in compile.h.
* Thu Jan 12 2006 carnold@novell.com
- Added two patches from AMD that apply to the 8513 changeset.
* Thu Jan 12 2006 kukuk@suse.de
- Add libreiserfs-devel to nfb.
* Wed Jan 11 2006 carnold@novell.com
- Update to hg 8513 xen-unstable-hvm.hg tree.
* Tue Jan 10 2006 ccoffing@novell.com
- Update to hg 8269 (xen-3.0-testing).
- Support try-restart in init scripts.
- Clean up installation of udev rules.
* Wed Dec 14 2005 ccoffing@novell.com
- Update to hg 8257 (xen-3.0-testing).
- Update documentation.
- Fix gcc 4.1 warnings.
* Wed Dec  7 2005 ccoffing@novell.com
- Update to hg 8241 (xen-3.0-testing).
* Mon Nov 28 2005 ccoffing@novell.com
- Update to hg 8073.
- Rationalize command names (eg, setsize -> xentrace-setsize).
- Fix gcc 4.1 warnings.
* Wed Nov 16 2005 ccoffing@novell.com
- Update to hg 7782.
- Honor RPM_OPT_FLAGS better.
- Include a few simple, obvious fixes from upstream.
- Build xm-test package.
- Update udev scripts.
* Mon Nov 14 2005 ccoffing@novell.com
- Includes upstream fixes to fix i586 save/restore.
* Thu Nov 10 2005 ccoffing@novell.com
- Include a few simple, obvious fixes: 7609, 7618, 7636, 7689,
  7690, 7692, 7696
* Thu Nov  3 2005 ccoffing@novell.com
- Update to hg 7608.
- Fix warn_unused_result warnings.
- Drop some patches (merged upstream)
- Tidy README.SuSE.
* Tue Nov  1 2005 ccoffing@novell.com
- Update to hg 7583.
* Thu Oct 20 2005 ccoffing@novell.com
- Don't mention unwritten man pages.
- Update xmexample* to match SUSE paths.
- Update xs-include patch.
* Wed Oct 19 2005 garloff@suse.de
- Avoid race in watchdog functionality.
- Improve network-bridge script.
* Tue Oct 18 2005 garloff@suse.de
- Ignore zombies in the xendomains shutdown procedure and have a
  configurable timeout for the commands. Make xendomains status
  report something useful.
- Make xendomains script comaptible to non-SUSE distros.
* Mon Oct 17 2005 garloff@suse.de
- Update to hg 7398.
* Mon Oct 17 2005 garloff@suse.de
- Create useful xendomains init script and sysconfig file.
* Mon Oct 17 2005 garloff@suse.de
- Create symlinks also for -pae and -dbg hypervisor.
- Build doxygen documentation.
- Include block-nbd script and xen-nbd example config.
- Include patchset info.
* Wed Oct 12 2005 garloff@suse.de
- Update docu.
- Enable xen-dbg hypervisor for gdbserver domU debugging.
* Tue Oct 11 2005 garloff@suse.de
- Update docu.
- Update to hg 7313.
- Move libxenstore.so to xen-tools.
* Tue Oct 11 2005 garloff@suse.de
- Fix buglet in /sbin/xen-vbd.
* Mon Oct 10 2005 garloff@suse.de
- Downgrade to hg 7267.
- Add troubleshooting section to README.SUSE.
* Mon Oct 10 2005 garloff@suse.de
- Fix typo in SrvDomain for mem-set operation.
- Workaround: write directly to balloon in dom0 setMemoryTarget.
- Kill xenconsoled and xenstored in rcxend stop.
* Sun Oct  9 2005 garloff@suse.de
- Update to hg 7278.
- Provide udev rules to setup vifs and vbds in dom0 when domUs
  boot (kraxel).
- Change default FS size for rescue images to 80MB.
* Sat Sep 10 2005 garloff@suse.de
- Update to hg 6715.
- Fix network-bridge down.
* Wed Sep  7 2005 garloff@suse.de
- Build PAE version along non-PAE version of Hypervisor.
* Tue Sep  6 2005 garloff@suse.de
- Try to fix network bridge down issue.
- Document netowrking and firewalling caveats in README.SUSE.
- Enable PAE.
* Tue Sep  6 2005 garloff@suse.de
- Update to hg 6644.
* Sun Sep  4 2005 garloff@suse.de
- Update to hg 6610.
- Rename default name of xen-br0 to xenbr0.
- Fix pygrub installation.
- Use libreiserfs to support pygrub on reiser.
* Mon Aug 29 2005 ccoffing@novell.com
- xen-bridge-net.diff: do not destroy domain 0's network setup
  when starting xend.
* Mon Aug 29 2005 garloff@suse.de
- Update to hg 6458.
- Drop privileged port check -- we use Unix dom sockets anyway
  (#105178).
- init.xend: Fix linebreaks in PID list.
- Correctly assign insserv to xen-tools subpackage.
* Thu Aug 25 2005 garloff@suse.de
- Add dirs /var/run/xenstored and /var/lib/xenstored.
* Thu Aug 25 2005 garloff@suse.de
- Update to hg 6393.
* Mon Aug 22 2005 garloff@suse.de
- Update to hg 6315.
- Include linux-public headers in xen-devel package.
* Sun Aug 21 2005 garloff@suse.de
- Update to hg 6305.
* Sat Aug 20 2005 garloff@suse.de
- Update to hg 6299.
- Enable VNC support (depending on LibVNCServer).
* Sat Aug 20 2005 garloff@suse.de
- Split off xen-tools-ioemu for supporting unmodified guests.
* Fri Aug 19 2005 garloff@suse.de
- Enable pygrub (at the cost of depending on e2fsprogs-devel)
- Enable VMX ioemu SDL support (at the cost of many dependencies)
* Fri Aug 19 2005 garloff@suse.de
- Update to mercurial changeset 6223.
- Move /usr/libexec/xen/ to /usr/lib[64]/xen/bin/.
- Split off -tools package.
* Mon Aug 15 2005 garloff@suse.de
- Create symlinks in %%post.
- Update README.SUSE.
- Mark /etc/xen/ as %%config(noreplace).
- Fix x86-64 build (movl -> mov, lib vs. lib64 inst dirs).
- Remove PYTHONOPTIMIZE.
* Tue Aug  2 2005 ccoffing@novell.com
- Fix warn_unused_result warnings
* Thu Jul 28 2005 ccoffing@novell.com
- Update to latest 3.0-unstable snapshot.
* Wed Jul 13 2005 ccoffing@novell.com
- Fixed bug in glibc24 patch that caused erroneous "out of memory"
  errors
* Fri Jun 24 2005 ccoffing@novell.com
- Fix gcc4 patch that caused a panic in Xen at boot.
* Fri Jun 24 2005 ccoffing@novell.com
- Fix xen-syms link.
* Fri Jun 17 2005 ccoffing@novell.com
- Fix version-check in NetWare loader (0x336ec577 -> 0x326ec578).
* Fri Jun 17 2005 ccoffing@novell.com
- Backport NetWare-friendly loader from Xen 3.0.
* Thu Jun 16 2005 ccoffing@novell.com
- Destroy domains that failed to be fully created.
* Fri Jun 10 2005 garloff@suse.de
- Update to latest 2.0-testing snapshot.
- Use RPM version and release no as xen version.
* Tue Jun  7 2005 garloff@suse.de
- Update mk-xen-rescue-img.sh script: Handle SLES9 better.
- Export PYTHONOPTIMIZE in xend start script.
* Mon Jun  6 2005 garloff@suse.de
- Merge _perform_err fixes.
* Mon May 23 2005 ccoffing@novell.com
- update to 2.0.6
* Wed Apr 13 2005 garloff@suse.de
- More gcc4 and binutils related fixes.
* Wed Apr 13 2005 garloff@suse.de
- Build fixes for gcc4.
* Sun Apr  3 2005 garloff@suse.de
- Update xen: Various fixes (scheduling, memset, domain crash
  handling) and enhancements (bg page scrubbing).
* Thu Mar 24 2005 garloff@suse.de
- xen-bridge-net.diff: Make sure bridge netdev is up after adding
  addresses to it.
* Wed Mar 23 2005 garloff@suse.de
- xen-secure.diff: Check for privileged port before allowing
  certain control operations.
- README.SUSE: Document this change.
* Wed Mar 23 2005 garloff@suse.de
- Require ports < 1024 to allow controlling VMs.
* Mon Mar 21 2005 garloff@suse.de
- Update xen.
* Wed Mar 16 2005 garloff@suse.de
- Update xen.
- Add /var/lib/xen/xen-db/ subdirs.
* Sun Mar 13 2005 garloff@suse.de
- Update to post-2.0.5
- Make /usr/sbin/xm root:trusted 0750
- Drop some patches (merged upstream)
* Tue Mar  8 2005 garloff@suse.de
- Update README with security notes.
- Update mk-xen-rescue-image.sh script allowing to specify the
  kernel version to be used.
- Rather than busy-looping, exit console on a domain that has
  shutdown.
* Mon Mar  7 2005 garloff@suse.de
- Update xen to latest snapshot.
- tgif not needed any more.
* Tue Mar  1 2005 garloff@suse.de
- Include serial-split from Charles Coffing.
* Mon Feb 28 2005 garloff@suse.de
- Update xen to latest snapshot.
* Mon Feb 21 2005 garloff@suse.de
- Update README.SuSE.
- Update xen to latest snapshot.
* Sun Feb 13 2005 garloff@suse.de
- Add init header to xendomains init script.
- Add bridge-utils dependency.
- Update config file and README.
- Activate xend init script on installation.
* Wed Feb  9 2005 ro@suse.de
- remove te_etex and te_pdf from neededforbuild.
* Wed Feb  9 2005 garloff@suse.de
- Update README about IDE dma.
- Default to dhcp.
* Wed Feb  9 2005 garloff@suse.de
- Update to xen post-2.0.4.
- Little bugfix for xen rescue install script.
- Update README.SUSE: Better explanation of root FS creation.
* Sun Jan 23 2005 garloff@suse.de
- Change some defaults to be more secure (xend only binds to
  localhost, ip spoof protection on).
- Avoid ipv6 issue with xend network script.
- Extensive docu in README.SUSE now.
- mk-xen-rescue-img.sh creates a xen root fs image from the std
  SUSE rescue image.
- Put boot.local script in root img to parse ip boot par.
* Thu Jan 20 2005 garloff@suse.de
- Update to newer snapshot.
* Wed Jan 19 2005 garloff@suse.de
- Update to xen-2.0-unstable (post 2.0.3).
* Thu Dec  9 2004 garloff@suse.de
- Initial creation of package xen, xen-doc-*.
- i686 only for now.
